function [sdat] = datret(datpre, Stat_c)
%datret Takes the choice vector Stat_c to output a table with desired data 

%Metabolic
if Stat_c(1) == 1
    sdat = datpre.Meta.Meta;
end

%Mass Displacement
if Stat_c(2) == 1
    sdat = datpre.Mass_Displacement.Ax_Rel;
end
if Stat_c(3) == 1
    sdat = datpre.Mass_Displacement.Ax_Glob;
end
if Stat_c(4) == 1
    sdat = datpre.Mass_Displacement.Pendulum_Phase;
end
if Stat_c(5) == 1
    sdat = datpre.Mass_Displacement.Ax_Glob_Phase;
end
if Stat_c(6) == 1
    sdat = datpre.Mass_Displacement.Amp_Ratio;
end

%Device Force-Moment
if Stat_c(7) == 1
    sdat = datpre.Device_Force_Moment.Fx_peak;
end
if Stat_c(8) == 1
    sdat = datpre.Device_Force_Moment.Fz_peak;
end
if Stat_c(9) == 1
    sdat = datpre.Device_Force_Moment.My_peak;
end

%Electrical Power
if Stat_c(10) == 1
    sdat = datpre.P_elec.P_elec;
end

%Joint Moments
if Stat_c(11) == 1
    sdat = datpre.Joint_Mom.Amx_pkp;
end
if Stat_c(12) == 1
    sdat = datpre.Joint_Mom.Amx_pkn;
end
if Stat_c(13) == 1
    sdat = datpre.Joint_Mom.Amy_pkp1;
end
if Stat_c(14) == 1
    sdat = datpre.Joint_Mom.Amy_pkp2;
end
if Stat_c(15) == 1
    sdat = datpre.Joint_Mom.Kmx_pkp;
end
if Stat_c(16) == 1
    sdat = datpre.Joint_Mom.Kmx_pkn;
end
if Stat_c(17) == 1
    sdat = datpre.Joint_Mom.Kmy_pkp1;
end
if Stat_c(18) == 1
    sdat = datpre.Joint_Mom.Kmy_pkp2;
end
if Stat_c(19) == 1
    sdat = datpre.Joint_Mom.Hmx_pkp;
end
if Stat_c(20) == 1
    sdat = datpre.Joint_Mom.Hmx_pkn;
end
if Stat_c(21) == 1
    sdat = datpre.Joint_Mom.Hmy_pkp1;
end
if Stat_c(22) == 1
    sdat = datpre.Joint_Mom.Hmy_pkp2;
end

%Joint Power
if Stat_c(23) == 1
    sdat = datpre.Joint_Pow.Ap_pkp;
end
if Stat_c(24) == 1
    sdat = datpre.Joint_Pow.Ap_pkn;
end
if Stat_c(25) == 1
    sdat = datpre.Joint_Pow.Kp_pkn;
end
if Stat_c(26) == 1
    sdat = datpre.Joint_Pow.Hp_pkp1;
end
if Stat_c(27) == 1
    sdat = datpre.Joint_Pow.Hp_pkp2;
end
if Stat_c(28) == 1
    sdat = datpre.Joint_Pow.Hp_pkn;
end

%Joint Work
if Stat_c(29) == 1
    sdat = datpre.Joint_Work.Awp;
end
if Stat_c(30) == 1
    sdat = datpre.Joint_Work.Awn;
end
if Stat_c(31) == 1
    sdat = datpre.Joint_Work.Kwp;
end
if Stat_c(32) == 1
    sdat = datpre.Joint_Work.Kwn;
end
if Stat_c(33) == 1
    sdat = datpre.Joint_Work.Hwp;
end
if Stat_c(34) == 1
    sdat = datpre.Joint_Work.Hwn;
end

%Spatial Temporal Parameters
if Stat_c(35) == 1
    sdat = datpre.Spat_Temp_Parameters.Stride_frequency;
end
if Stat_c(36) == 1
    sdat = datpre.Spat_Temp_Parameters.Stride_width;
end
if Stat_c(37) == 1
    sdat = datpre.Spat_Temp_Parameters.Stride_length;
end

%GRF
if Stat_c(38) == 1
    sdat = datpre.GRF.GRF_pos_impulse(1:3:end);
end
if Stat_c(39) == 1
    sdat = datpre.GRF.GRF_pos_impulse(2:3:end);
end
if Stat_c(40) == 1
    sdat = datpre.GRF.GRF_pos_impulse(3:3:end);
end
if Stat_c(41) == 1
    sdat = datpre.GRF.GRF_neg_impulse(1:3:end);
end
if Stat_c(42) == 1
    sdat = datpre.GRF.GRF_neg_impulse(2:3:end);
end
if Stat_c(43) == 1
    sdat = datpre.GRF.GRF_neg_impulse(3:3:end);
end

%MOS
if Stat_c(44) == 1
    sdat = datpre.MoS.MoS_min;
end
if Stat_c(45) == 1
    sdat = datpre.MoS.MoS_std;
end

%COM M-L Displacement
if Stat_c(46) == 1
    sdat = datpre.COM_pos_ML.COM_excursion_ML;
end
if Stat_c(47) == 1
    sdat = datpre.COM_pos_ML.COM_Excursion_ML_StDev;
end

if Stat_c(48) == 1
    sdat = NaN(11,1);
end
%Gait Variability
if Stat_c(49) == 1
    sdat = datpre.VarExt.SW_var;
end
if Stat_c(50) == 1
    sdat = datpre.VarExt.SL_var;
end



end

