function [] = scatsubplot(fixed,open,R1,R2,R3,R4,R5,R6,ylab,colSTRUCT,nos)
%scatsubplot Plots data as a scatter plots across all conditions

hold on
for i = 1:nos
    plot(1,fixed(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.cf(i,:))
    plot(2,open(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.co(i,:),'HandleVisibility','off')
    plot(3,R1(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.cr1(i,:),'HandleVisibility','off')
    plot(4,R2(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.cr2(i,:),'HandleVisibility','off')
    plot(5,R3(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.cr3(i,:),'HandleVisibility','off')
    plot(6,R4(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.cr4(i,:),'HandleVisibility','off')
    plot(7,R5(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.cr5(i,:),'HandleVisibility','off')
    plot(8,R6(i),'.','MarkerSize',30,'MarkerEdgeColor',colSTRUCT.cr6(i,:),'HandleVisibility','off')
end
ylabel(ylab)
xlabel('Condition')
legend('S3','S4','S5','S6','S7','S8','S9','S10','S11','S12','S13')
legend boxoff
box off
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
yamx = max(max([fixed,open,R1,R2,R3,R4,R5,R6]));
yimn = min(min([fixed,open,R1,R2,R3,R4,R5,R6]));
if yamx < 0
    ylim([yimn 0])
else
    ylim([0 yamx])
end


end

