clc
close all
clear

%% Choosing Figures to Plot
% 1 = Plot  

%Metabolic: 
Meta_on = 0;

%Mass Displacement:
Mass_disp = 0;

%Electrical Power:
Elec_Pow = 0;

%Device Force and Moment: 
DevF = 0;

%Stride Frequency
fs_on = 0;

%Stride Width
sw_on = 0;

%Stride Length
sl_on = 0;

%Joint Angles:
JA_on = 0;

%Joint Moment:
JM_on = 0;

%Joint Power:
JP_on = 0;

%Joint Work: 
JW_on = 0;

%GRF: 
GRF_on = 0;

%MOS: 
MOS_on = 0;

%COM M-L Excursions
COMp_on = 0;

%Gait Variability
Var_on = 0;

%GRAND MEAN or SCATTER plots
Uni_on = 0;

%% Choosing Statistical Procedures

%Perform a statistical analysis: 1 = Yes
Stats_on = 0;

%Choosing a measure to test: 1 = Yes 
Stat_c = [0;  %Metabolic                         %%% METABOLIC %%%
    0;        %Mass Relative Amplitude       %%% MASS DISPLACEMENT %%%
    0;        %Mass Global Amplitude
    0;        %Pendulum Phase Angle
    0;        %Global Motion Phase Angle
    0;        %Amplitude Ratio
    0;        %Fx Peak                      %%%% DEVICE FORCE-MOMENT %%%
    0;        %Fz Peak
    0;        %My Peak
    0;        %Electrical Power                %%% ELECTRICAL POWER %%%
    0;        %Ankle Fl/Ex Peak Positive Moment %%% JOINT MOMENTS %%%
    0;        %Ankle Fl/Ex Peak Negative Moment
    0;        %Ankle In/Ev First Peak Positive Moment
    0;        %Ankle In/Ev Second Peak Positive Moment
    0;        %Knee Fl/Ex Peak Positive Stance Moment
    0;        %Knee Fl/Ex Peak Negative Stance Moment
    0;        %Knee Ab/Ad First Peak Positive Moment
    0;        %Knee Ab/Ad Second Peak Positive Moment
    0;        %Hip Fl/Ex Peak Positive Stance Moment
    0;        %Hip Fl/Ex Peak Negative Stance Moment
    0;        %Hip Ab/Ad First Peak Positive Moment
    0;        %Hip Ab/Ad Second Peak Positive Moment
    0;        %Ankle Peak Positive Power          %%% JOINT POWER %%%
    0;        %Ankle Peak Negative Power
    0;        %Knee Peak Negative Early Stance Power
    0;        %Hip Peak Positive Early Stance Power
    0;        %Hip Peak Postive Late Stance Power
    0;        %Hip Peak Negative Stance Power
    0;        %Ankle Postive Work               %%% JOINT WORK %%%
    0;        %Ankle Negative Work
    0;        %Knee Positive Work
    0;        %Knee Negative Work
    0;        %Hip Postive Work
    0;        %Hip Negative Work
    0;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    0;        %Stride Width
    0;        %Stride Length 
    0;        %GRF Positive Impulse (x)              %%% GRF %%%
    0;        %GRF Positive Impulse (y)
    0;        %GRF Positive Impulse (z)
    0;        %GRF Negative Impulse (x)
    0;        %GRF Negative Impulse (y)
    0;        %GRF Negative Impulse (z)
    0;        %MOS min                              %%% MOS %%%
    0;        %MOS std
    0;        %COM M-L Position             %%% COM M-L Displacement %%%
    0;        %COM M-L Position St. Dev. 
    0;        %EXTRA       
    0;        %Step Width Variability          %%% Gait Variability %%% 
    0];       %Step Length Variability

%% Subject 3 
%(Subject 1 & 2 = pilots)

%Issues for exclusions:
%No R6 condition (comp. issues)

%Subject Information
S03i = [1; %Male = 1, Female = 2
    27;    %Age [years]
    186;   %Height [cm]
    80.5;  %Weight [kg]
    98.5]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S03_Ign = [1 1 1 1 1 1 1 0; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 0;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 0;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 0;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 0;        %M-L Input Waveform
    1 1 1 1 1 1 1 0;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 0;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 0;        %Mass Global Amplitude
    1 1 1 1 1 1 1 0;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 0;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 0;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 0;        %Amplitude Ratio
    1 1 1 1 1 1 1 0;        %Relative Motion Waveform
    1 1 1 1 1 1 1 0;        %Global Motion Waveform
    1 1 1 1 1 1 1 0;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 0;        %Fz Peak
    1 1 1 1 1 1 1 0;        %My Peak
    1 1 1 1 1 1 1 0;        %Fx Waveform
    1 1 1 1 1 1 1 0;        %Fz Waveform
    1 1 1 1 1 1 1 0;        %My Waveform
    1 1 1 1 1 1 1 0;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 0;        %Power Waveform
    1 1 1 1 1 1 1 0;        %Voltage Waveform
    1 1 1 1 1 1 1 0;        %Current Waveform
    1 1 1 1 1 1 1 0;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 0;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 0;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 0;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 0;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 0;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 0;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 0;        %Knee Moment: waveform
    1 1 1 1 1 1 1 0;        %Hip Moment: waveform
    1 1 1 1 1 1 1 0;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 0;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 0;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 0;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 0;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 0;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 0;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 0;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 0;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 0;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 0;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 0;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 0;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 0;        %Knee Power Waveform
    1 1 1 1 1 1 1 0;        %Hip Power Waveform
    1 1 1 1 1 1 1 0;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 0;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 0;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 0;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 0;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 0;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 0;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 0;        %Ankle Negative Work
    1 1 1 1 1 1 1 0;        %Knee Positive Work
    1 1 1 1 1 1 1 0;        %Knee Negative Work
    1 1 1 1 1 1 1 0;        %Hip Postive Work
    1 1 1 1 1 1 1 0;        %Hip Negative Work
    1 1 1 1 1 1 1 0;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 0;        %Stride Width
    1 1 1 1 1 1 1 0;        %Stride Length 
    1 1 1 1 1 1 1 0;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 0;        %GRF Negative Impulse
    1 1 1 1 1 1 1 0;        %GRF Mean Waveform
    1 1 1 1 1 1 1 0;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 0;        %MOS std
    1 1 1 1 1 1 1 0;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 0;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 0;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 0;        %Model: Elec Power
    1 1 1 1 1 1 1 0;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 0;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 0;        %Model: Fx
    1 1 1 1 1 1 1 0;        %Model: My
    1 1 1 1 1 1 1 0;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 0;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 0;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 0;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 0;        %Adj. Model: Fx
    1 1 1 1 1 1 1 0;        %Adj. Model: My
    1 1 1 1 1 1 1 0;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 0;        %EXTRA
    1 1 1 1 1 1 1 0;        %Step Width Variability             %%% GAIT VARIABILITY %%%
    1 1 1 1 1 1 1 0];       %Step Length Variability

%Metabolic Power
meta = load('S03_Results_metabolic.mat');

%FIXED
data = load('S03_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),[],S03_Ign(:,1),S03i);

%OPEN
data = load('S03_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),[],S03_Ign(:,2),S03i);

%R1
data = load('S03_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),[],S03_Ign(:,3),S03i);

%R2
data = load('S03_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),[],S03_Ign(:,4),S03i);

%R3
data = load('S03_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),[],S03_Ign(:,5),S03i);

%R4
data = load('S03_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),[],S03_Ign(:,6),S03i);

%R5
data = load('S03_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),[],S03_Ign(:,7),S03i);

%R6 - Load As Dummy
%data = load('S03_Results_R5.mat');
dat_R6 = SubAmal(data,meta.metaP(7),[],S03_Ign(:,8),S03i);

%% Subject 4

%Subject Information
S04i = [1; %Male = 1, Female = 2
    24;    %Age [years]
    193;   %Height [cm]
    80.5;  %Weight [kg]
    100]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S04_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability             %%% GAIT VARIABILITY %%%
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S04_Results_metabolic.mat');

%FIXED
data = load('S04_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S04_Ign(:,1),S04i);

%OPEN
data = load('S04_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S04_Ign(:,2),S04i);

%R1
data = load('S04_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S04_Ign(:,3),S04i);

%R2
data = load('S04_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S04_Ign(:,4),S04i);

%R3
data = load('S04_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S04_Ign(:,5),S04i);

%R4
data = load('S04_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S04_Ign(:,6),S04i);

%R5
data = load('S04_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S04_Ign(:,7),S04i);

%R6 
data = load('S04_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S04_Ign(:,8),S04i);

%% Subject 5
%Issues for exclusion: 
%Major issues w/ forceplates (and therefore all related measures)

%Subject Information
S05i = [2; %Male = 1, Female = 2
    26;    %Age [years]
    165;   %Height [cm]
    60.5;  %Weight [kg]
    82.5]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S05_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    0 0 0 0 0 0 0 0;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    0 0 0 0 0 0 0 0;        %Knee Moment: waveform
    0 0 0 0 0 0 0 0;        %Hip Moment: waveform
    0 0 0 0 0 0 0 0;        %Ankle Fl/Ex Peak Positive Moment
    0 0 0 0 0 0 0 0;        %Ankle Fl/Ex Peak Negative Moment
    0 0 0 0 0 0 0 0;        %Ankle In/Ev First Peak Positive Moment
    0 0 0 0 0 0 0 0;        %Ankle In/Ev Second Peak Positive Moment
    0 0 0 0 0 0 0 0;        %Knee Fl/Ex Peak Positive Stance Moment
    0 0 0 0 0 0 0 0;        %Knee Fl/Ex Peak Negative Stance Moment
    0 0 0 0 0 0 0 0;        %Knee Ab/Ad First Peak Positive Moment
    0 0 0 0 0 0 0 0;        %Knee Ab/Ad Second Peak Positive Moment
    0 0 0 0 0 0 0 0;        %Hip Fl/Ex Peak Positive Stance Moment
    0 0 0 0 0 0 0 0;        %Hip Fl/Ex Peak Negative Stance Moment
    0 0 0 0 0 0 0 0;        %Hip Ab/Ad First Peak Positive Moment
    0 0 0 0 0 0 0 0;        %Hip Ab/Ad Second Peak Positive Moment
    0 0 0 0 0 0 0 0;        %Ankle Power Waveform            %%% JOINT POWER %%%
    0 0 0 0 0 0 0 0;        %Knee Power Waveform
    0 0 0 0 0 0 0 0;        %Hip Power Waveform
    0 0 0 0 0 0 0 0;        %Ankle Peak Positive Power
    0 0 0 0 0 0 0 0;        %Ankle Peak Negative Power
    0 0 0 0 0 0 0 0;        %Knee Peak Negative Early Stance Power
    0 0 0 0 0 0 0 0;        %Hip Peak Positive Early Stance Power
    0 0 0 0 0 0 0 0;        %Hip Peak Postive Late Stance Power
    0 0 0 0 0 0 0 0;        %Hip Peak Negative Stance Power
    0 0 0 0 0 0 0 0;        %Ankle Postive Work               %%% JOINT WORK %%%
    0 0 0 0 0 0 0 0;        %Ankle Negative Work
    0 0 0 0 0 0 0 0;        %Knee Positive Work
    0 0 0 0 0 0 0 0;        %Knee Negative Work
    0 0 0 0 0 0 0 0;        %Hip Postive Work
    0 0 0 0 0 0 0 0;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    0 0 0 0 0 0 0 0;        %GRF Positive Impulse                 %%% GRF %%%
    0 0 0 0 0 0 0 0;        %GRF Negative Impulse
    0 0 0 0 0 0 0 0;        %GRF Mean Waveform
    0 0 0 0 0 0 0 0;        %MOS min                              %%% MOS %%%
    0 0 0 0 0 0 0 0;        %MOS std
    0 0 0 0 0 0 0 0;        %COM M-L Position             %%% COM M-L Displacement %%%
    0 0 0 0 0 0 0 0;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability             %%% GAIT VARIABILITY %%%
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S05_Results_metabolic.mat');

%FIXED
data = load('S05_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S05_Ign(:,1),S05i);

%OPEN
data = load('S05_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S05_Ign(:,2),S05i);

%R1
data = load('S05_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S05_Ign(:,3),S05i);

%R2
data = load('S05_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S05_Ign(:,4),S05i);

%R3
data = load('S05_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S05_Ign(:,5),S05i);

%R4
data = load('S05_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S05_Ign(:,6),S05i);

%R5
data = load('S05_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S05_Ign(:,7),S05i);

%R6 
data = load('S05_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S05_Ign(:,8),S05i);


%% Subject 6

%Subject Information
S06i = [2; %Male = 1, Female = 2
    23;    %Age [years]
    168;   %Height [cm]
    59;  %Weight [kg]
    89.5]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S06_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability             %%% GAIT VARIABILITY %%%
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S06_Results_metabolic.mat');

%FIXED
data = load('S06_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S06_Ign(:,1),S06i);

%OPEN
data = load('S06_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S06_Ign(:,2),S06i);

%R1
data = load('S06_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S06_Ign(:,3),S06i);

%R2
data = load('S06_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S06_Ign(:,4),S06i);

%R3
data = load('S06_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S06_Ign(:,5),S06i);

%R4
data = load('S06_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S06_Ign(:,6),S06i);

%R5
data = load('S06_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S06_Ign(:,7),S06i);

%R6 
data = load('S06_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S06_Ign(:,8),S06i);

%% Subject 7

%Subject Information
S07i = [1; %Male = 1, Female = 2
    24;    %Age [years]
    180.5;   %Height [cm]
    75;  %Weight [kg]
    91.5]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S07_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability          %%% GAIT VARIABILITY %%%  
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S07_Results_metabolic.mat');

%FIXED
data = load('S07_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S07_Ign(:,1),S07i);

%OPEN
data = load('S07_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S07_Ign(:,2),S07i);

%R1
data = load('S07_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S07_Ign(:,3),S07i);

%R2
data = load('S07_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S07_Ign(:,4),S07i);

%R3
data = load('S07_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S07_Ign(:,5),S07i);

%R4
data = load('S07_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S07_Ign(:,6),S07i);

%R5
data = load('S07_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S07_Ign(:,7),S07i);

%R6 
data = load('S07_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S07_Ign(:,8),S07i);

%% Subject 8

%Subject Information
S08i = [1; %Male = 1, Female = 2
    19;    %Age [years]
    184;   %Height [cm]
    72;  %Weight [kg]
    97]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S08_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability             %%% GAIT VARIABILITY %%%
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S08_Results_metabolic.mat');

%FIXED
data = load('S08_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S08_Ign(:,1),S08i);

%OPEN
data = load('S08_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S08_Ign(:,2),S08i);

%R1
data = load('S08_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S08_Ign(:,3),S08i);

%R2
data = load('S08_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S08_Ign(:,4),S08i);

%R3
data = load('S08_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S08_Ign(:,5),S08i);

%R4
data = load('S08_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S08_Ign(:,6),S08i);

%R5
data = load('S08_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S08_Ign(:,7),S08i);

%R6 
data = load('S08_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S08_Ign(:,8),S08i);

%% Subject 9

%Subject Information
S09i = [1; %Male = 1, Female = 2
    26;    %Age [years]
    191.5;   %Height [cm]
    84.5;  %Weight [kg]
    99]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S09_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability            %%% GAIT VARIABILITY %%% 
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S09_Results_metabolic.mat');

%FIXED
data = load('S09_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S09_Ign(:,1),S09i);

%OPEN
data = load('S09_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S09_Ign(:,2),S09i);

%R1
data = load('S09_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S09_Ign(:,3),S09i);

%R2
data = load('S09_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S09_Ign(:,4),S09i);

%R3
data = load('S09_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S09_Ign(:,5),S09i);

%R4
data = load('S09_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S09_Ign(:,6),S09i);

%R5
data = load('S09_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S09_Ign(:,7),S09i);

%R6 
data = load('S09_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S09_Ign(:,8),S09i);

%% Subject 10

%Subject Information
S10i = [0; %Male = 1, Female = 2
    23;    %Age [years]
    174;   %Height [cm]
    58;  %Weight [kg]
    89.5]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S10_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability            %%% GAIT VARIABILITY %%% 
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S10_Results_metabolic.mat');

%FIXED
data = load('S10_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S10_Ign(:,1),S10i);

%OPEN
data = load('S10_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S10_Ign(:,2),S10i);

%R1
data = load('S10_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S10_Ign(:,3),S10i);

%R2
data = load('S10_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S10_Ign(:,4),S10i);

%R3
data = load('S10_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S10_Ign(:,5),S10i);

%R4
data = load('S10_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S10_Ign(:,6),S10i);

%R5
data = load('S10_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S10_Ign(:,7),S10i);

%R6 
data = load('S10_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S10_Ign(:,8),S10i);

%% Subject 11

%Subject Information
S11i = [1; %Male = 1, Female = 2
    25;    %Age [years]
    174;   %Height [cm]
    79.5;  %Weight [kg]
    91]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S11_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability           %%% GAIT VARIABILITY %%%  
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S11_Results_metabolic.mat');

%FIXED
data = load('S11_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S11_Ign(:,1),S11i);

%OPEN
data = load('S11_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S11_Ign(:,2),S11i);

%R1
data = load('S11_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S11_Ign(:,3),S11i);

%R2
data = load('S11_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S11_Ign(:,4),S11i);

%R3
data = load('S11_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S11_Ign(:,5),S11i);

%R4
data = load('S11_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S11_Ign(:,6),S11i);

%R5
data = load('S11_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S11_Ign(:,7),S11i);

%R6 
data = load('S11_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S11_Ign(:,8),S11i);


%% Subject 12

%Subject Information
S12i = [1; %Male = 1, Female = 2
    23;    %Age [years]
    186.5;   %Height [cm]
    73;  %Weight [kg]
    105]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S12_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability           %%% GAIT VARIABILITY %%%  
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S12_Results_metabolic.mat');

%FIXED
data = load('S12_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S12_Ign(:,1),S12i);

%OPEN
data = load('S12_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S12_Ign(:,2),S12i);

%R1
data = load('S12_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S12_Ign(:,3),S12i);

%R2
data = load('S12_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S12_Ign(:,4),S12i);

%R3
data = load('S12_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S12_Ign(:,5),S12i);

%R4
data = load('S12_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S12_Ign(:,6),S12i);

%R5
data = load('S12_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S12_Ign(:,7),S12i);

%R6 
data = load('S12_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S12_Ign(:,8),S12i);

%% Subject 13

%Subject Information
S13i = [1; %Male = 1, Female = 2
    21;    %Age [years]
    190;   %Height [cm]
    82.5;  %Weight [kg]
    99.5]; %Leg length [cm]

%Ignoring Datasets: fixed, open, R1, R2, R3, R4, R5, R6
S13_Ign = [1 1 1 1 1 1 1 1; %M-L Input Amplitude        %%% MODEL INPUT %%%
    1 1 1 1 1 1 1 1;        %BP Angle Input Amplitude
    1 1 1 1 1 1 1 1;        %M-L Input Phase Angle
    1 1 1 1 1 1 1 1;        %BP Angle Input Phase Angle
    1 1 1 1 1 1 1 1;        %M-L Input Waveform
    1 1 1 1 1 1 1 1;        %BP Angle Input Waveform
    1 1 1 1 1 1 1 1;        %Mass Relative Amplitude    %%% MASS DISPLACEMENT %%%
    1 1 1 1 1 1 1 1;        %Mass Global Amplitude
    1 1 1 1 1 1 1 1;        %Pendulum Phase Angle
    1 1 1 1 1 1 1 1;        %Relative Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Global Motion Phase Angle
    1 1 1 1 1 1 1 1;        %Amplitude Ratio
    1 1 1 1 1 1 1 1;        %Relative Motion Waveform
    1 1 1 1 1 1 1 1;        %Global Motion Waveform
    1 1 1 1 1 1 1 1;        %Fx Peak                    %%%% DEVICE FORCE-MOMENT %%%
    1 1 1 1 1 1 1 1;        %Fz Peak
    1 1 1 1 1 1 1 1;        %My Peak
    1 1 1 1 1 1 1 1;        %Fx Waveform
    1 1 1 1 1 1 1 1;        %Fz Waveform
    1 1 1 1 1 1 1 1;        %My Waveform
    1 1 1 1 1 1 1 1;        %Electrical Power             %%% ELECTRICAL POWER %%%
    1 1 1 1 1 1 1 1;        %Power Waveform
    1 1 1 1 1 1 1 1;        %Voltage Waveform
    1 1 1 1 1 1 1 1;        %Current Waveform
    1 1 1 1 1 1 1 1;        %Ankle Angle: Flex/Ext          %%% JOINT ANGLES %%%%
    1 1 1 1 1 1 1 1;        %Ankle Angle: In/Ev
    1 1 1 1 1 1 1 1;        %Knee Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Knee Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Hip Angle: Flex/Ext
    1 1 1 1 1 1 1 1;        %Hip Angle: Ab/Ad
    1 1 1 1 1 1 1 1;        %Ankle Moment: waveform         %%% JOINT MOMENTS %%% 
    1 1 1 1 1 1 1 1;        %Knee Moment: waveform
    1 1 1 1 1 1 1 1;        %Hip Moment: waveform
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Fl/Ex Peak Negative Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle In/Ev Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Knee Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Positive Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Fl/Ex Peak Negative Stance Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad First Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Hip Ab/Ad Second Peak Positive Moment
    1 1 1 1 1 1 1 1;        %Ankle Power Waveform            %%% JOINT POWER %%%
    1 1 1 1 1 1 1 1;        %Knee Power Waveform
    1 1 1 1 1 1 1 1;        %Hip Power Waveform
    1 1 1 1 1 1 1 1;        %Ankle Peak Positive Power
    1 1 1 1 1 1 1 1;        %Ankle Peak Negative Power
    1 1 1 1 1 1 1 1;        %Knee Peak Negative Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Positive Early Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Postive Late Stance Power
    1 1 1 1 1 1 1 1;        %Hip Peak Negative Stance Power
    1 1 1 1 1 1 1 1;        %Ankle Postive Work               %%% JOINT WORK %%%
    1 1 1 1 1 1 1 1;        %Ankle Negative Work
    1 1 1 1 1 1 1 1;        %Knee Positive Work
    1 1 1 1 1 1 1 1;        %Knee Negative Work
    1 1 1 1 1 1 1 1;        %Hip Postive Work
    1 1 1 1 1 1 1 1;        %Hip Negative Work
    1 1 1 1 1 1 1 1;        %Stride Frequency         %%% SPATIAL TEMPORAL PARAMETERS %%%
    1 1 1 1 1 1 1 1;        %Stride Width
    1 1 1 1 1 1 1 1;        %Stride Length 
    1 1 1 1 1 1 1 1;        %GRF Positive Impulse                 %%% GRF %%%
    1 1 1 1 1 1 1 1;        %GRF Negative Impulse
    1 1 1 1 1 1 1 1;        %GRF Mean Waveform
    1 1 1 1 1 1 1 1;        %MOS min                              %%% MOS %%%
    1 1 1 1 1 1 1 1;        %MOS std
    1 1 1 1 1 1 1 1;        %COM M-L Position             %%% COM M-L Displacement %%%
    1 1 1 1 1 1 1 1;        %COM M-L Position St. Dev. 
    1 1 1 1 1 1 1 1;        %Model: Amplitude Ratio               %%% MODEL %%%
    1 1 1 1 1 1 1 1;        %Model: Elec Power
    1 1 1 1 1 1 1 1;        %Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Model: Fx
    1 1 1 1 1 1 1 1;        %Model: My
    1 1 1 1 1 1 1 1;        %Adj. Model: Amplitude Ratio       %%% ADJUSTED MODEL %%%
    1 1 1 1 1 1 1 1;        %Adj. Model: Elec Power
    1 1 1 1 1 1 1 1;        %Adj. Model: Exp. Frequency Ratio
    1 1 1 1 1 1 1 1;        %Adj. Model: Relative Mass Motion Phase
    1 1 1 1 1 1 1 1;        %Adj. Model: Fx
    1 1 1 1 1 1 1 1;        %Adj. Model: My
    1 1 1 1 1 1 1 1;        %Metabolic                            %%% METABOLIC %%%
    1 1 1 1 1 1 1 1;        %EXTRA
    1 1 1 1 1 1 1 1;        %Step Width Variability            %%% GAIT VARIABILITY %%% 
    1 1 1 1 1 1 1 1];       %Step Length Variability

%Metabolic Power
meta = load('S13_Results_metabolic.mat');

%FIXED
data = load('S13_Results_fixed.mat');
dat_fixed = SubAmal(data,meta.metaP(1),dat_fixed,S13_Ign(:,1),S13i);

%OPEN
data = load('S13_Results_open.mat');
dat_open = SubAmal(data,meta.metaP(2),dat_open,S13_Ign(:,2),S13i);

%R1
data = load('S13_Results_R1.mat');
dat_R1 = SubAmal(data,meta.metaP(3),dat_R1,S13_Ign(:,3),S13i);

%R2
data = load('S13_Results_R2.mat');
dat_R2 = SubAmal(data,meta.metaP(4),dat_R2,S13_Ign(:,4),S13i);

%R3
data = load('S13_Results_R3.mat');
dat_R3 = SubAmal(data,meta.metaP(5),dat_R3,S13_Ign(:,5),S13i);

%R4
data = load('S13_Results_R4.mat');
dat_R4 = SubAmal(data,meta.metaP(6),dat_R4,S13_Ign(:,6),S13i);

%R5
data = load('S13_Results_R5.mat');
dat_R5 = SubAmal(data,meta.metaP(7),dat_R5,S13_Ign(:,7),S13i);

%R6 
data = load('S13_Results_R6.mat');
dat_R6 = SubAmal(data,meta.metaP(8),dat_R6,S13_Ign(:,8),S13i);



%% Finding Global Averages

%Fixed
mean_fixed = Globmean(dat_fixed);

%Open
mean_open = Globmean(dat_open);

%R1
mean_R1 = Globmean(dat_R1);

%R2
mean_R2 = Globmean(dat_R2);

%R3
mean_R3 = Globmean(dat_R3);

%R4
mean_R4 = Globmean(dat_R4);

%R5
mean_R5 = Globmean(dat_R5);

%R6
mean_R6 = Globmean(dat_R6);

%% Stats

if Stats_on == 1
    %Subject Number Vector
    subjectN = [1; 2; 3; 4; 5; 6; 7; 8; 9; 10; 11];
    
    %Loading Data
    t = table(subjectN,datret(dat_fixed,Stat_c),datret(dat_open,Stat_c),...
        datret(dat_R1,Stat_c),datret(dat_R2,Stat_c),...
        datret(dat_R3,Stat_c),datret(dat_R4,Stat_c),...
        datret(dat_R5,Stat_c),datret(dat_R6,Stat_c),'VariableNames',...
        {'Subject_Number','Fixed','Open','R1','R2','R3','R4','R5','R6'});
    
    %Within Subject Conditions
    Cond = categorical({'Fixed','Open','R1','R2','R3','R4','R5','R6'});
    
    %Within Subject Table
    within = table(Cond','VariableNames',{'Condition'});
    
    %Fit Repeated Measures Model
    mod_rm = fitrm(t,'Fixed-R6~1','WithinDesign',within);
    
    %Repeated Measures ANOVA
    [ANOVA_results, A, C] = ranova(mod_rm,'WithinModel','Condition')
        
    %Multiple Comparisons
    ANOVA_mult_compare = multcompare(mod_rm,'Condition')
    
    %Linear Regression: w.r.t. desired damping ratio
    xp = [repmat(0,11,1);
        repmat(0.04,11,1); 
        repmat(0.16,11,1);
        repmat(0.24,11,1);
        repmat(0.36,11,1);
        repmat(0.5,11,1);
        repmat(0.7,11,1)];
    yp = [datret(dat_open,Stat_c);...
        datret(dat_R1,Stat_c);datret(dat_R2,Stat_c);...
        datret(dat_R3,Stat_c);datret(dat_R4,Stat_c);...
        datret(dat_R5,Stat_c);datret(dat_R6,Stat_c)];
    
    %Fitting a Quadratic Model
    mod_Quadratic = fitlm(xp, yp,'quadratic')
    
    %Fitting a Linear Model
    mod_Linear = fitlm(xp, yp)
   
end


%% Global Plotting Option

%Colour Scheme
colalt = [linspace(0,0.8,8)' linspace(0,0.8,8)' linspace(0,0.8,8)'];

%Linewidth
lw = 2;

%Number of Subjects
nos = length(dat_fixed.Meta.Meta);

%Color generator
c1 = [linspace(0.4,0.8,8)' zeros(8,1) zeros(8,1)];
c2 = [zeros(8,1) linspace(0.4,0.8,8)' zeros(8,1)];
c3 = [zeros(8,1) zeros(8,1) linspace(0.4,0.8,8)'];
c4 = [linspace(0.4,0.6,8)' linspace(0.6,0.9,8)' zeros(8,1)];
c5 = [linspace(0.4,0.6,8)' zeros(8,1) linspace(0.6,0.9,8)'];
c6 = [zeros(8,1) linspace(0.4,0.6,8)' linspace(0.6,0.9,8)'];
c7 = [linspace(0,0.8,8)' linspace(0,0.8,8)' linspace(0,0.8,8)'];
c8 = [linspace(0.6,0.9,8)' zeros(8,1) linspace(0.4,0.6,8)'];
c9 = [linspace(0.6,0.9,8)' linspace(0.4,0.6,8)' zeros(8,1)];
c10 = [zeros(8,1) linspace(0.6,0.9,8)' linspace(0.4,0.6,8)'];
%c11 = [linspace(0.3,0.5,8)' linspace(0.6,0.9,8)' linspace(0.4,0.6,8)'];
c11 = [linspace(0.8,1,8)' linspace(0.8,1,8)' zeros(8,1)];

%Color Options
cf = [c1(1,:); c2(1,:); c3(1,:); c4(1,:); c5(1,:); c6(1,:); c7(1,:); c8(1,:); c9(1,:); c10(1,:); c11(1,:)];
co = [c1(2,:); c2(2,:); c3(2,:); c4(2,:); c5(2,:); c6(2,:); c7(2,:); c8(2,:); c9(2,:); c10(2,:); c11(2,:)];
cr1 = [c1(3,:); c2(3,:); c3(3,:); c4(3,:); c5(3,:); c6(3,:); c7(3,:); c8(3,:); c9(3,:); c10(3,:); c11(3,:)];
cr2 = [c1(4,:); c2(4,:); c3(4,:); c4(4,:); c5(4,:); c6(4,:); c7(4,:); c8(4,:); c9(4,:); c10(4,:); c11(4,:)];
cr3 = [c1(5,:); c2(5,:); c3(5,:); c4(5,:); c5(5,:); c6(5,:); c7(5,:); c8(5,:); c9(5,:); c10(5,:); c11(5,:)];
cr4 = [c1(6,:); c2(6,:); c3(6,:); c4(6,:); c5(6,:); c6(6,:); c7(6,:); c8(6,:); c9(6,:); c10(6,:); c11(6,:)];
cr5 = [c1(7,:); c2(7,:); c3(7,:); c4(7,:); c5(7,:); c6(7,:); c7(7,:); c8(7,:); c9(7,:); c10(7,:); c11(7,:)];
cr6 = [c1(8,:); c2(8,:); c3(8,:); c4(8,:); c5(8,:); c6(8,:); c7(8,:); c8(8,:); c9(8,:); c10(8,:); c11(8,:)];

%Color Structure
colSTRUCT = struct('cf',cf,'co',co,'cr1',cr1,'cr2',cr2,'cr3',cr3,'cr4',cr4,'cr5',cr5,'cr6',cr6);

%% Plotting Metabolic
if Meta_on == 1

Meta_mean = [mean_fixed.Meta.Meta(1) mean_open.Meta.Meta(1) ....
    mean_R1.Meta.Meta(1) mean_R2.Meta.Meta(1) mean_R3.Meta.Meta(1)...
    mean_R4.Meta.Meta(1) mean_R5.Meta.Meta(1) mean_R6.Meta.Meta(1)];

Meta_std = [mean_fixed.Meta.Meta(2) mean_open.Meta.Meta(2) ....
    mean_R1.Meta.Meta(2) mean_R2.Meta.Meta(2) mean_R3.Meta.Meta(2)...
    mean_R4.Meta.Meta(2) mean_R5.Meta.Meta(2) mean_R6.Meta.Meta(2)];

%Trial Order
Order = [5 2 7 3 6 1 4 8; 5 3 8 2 6 4 1 7; 5 6 8 1 7 3 2 4;
    3 5 8 1 2 6 7 4; 1 2 3 7 6 5 8 4; 5 4 1 8 2 6 3 7;
    6 8 2 4 3 5 7 1; 3 1 5 6 7 2 4 8; 4 2 7 6 3 8 1 5;
    5 6 3 2 1 4 8 7; 4 8 6 3 7 1 5 2];

Meta_raw = [dat_fixed.Meta.Meta, dat_open.Meta.Meta,...
    dat_R1.Meta.Meta, dat_R2.Meta.Meta, dat_R3.Meta.Meta,...
    dat_R4.Meta.Meta, dat_R5.Meta.Meta, dat_R6.Meta.Meta];

Meta_raw(isnan(Meta_raw)) = 0;

Meta_reorder = zeros(3,8);
for i = 1:8
    for j = 1:11
        Meta_reorder(1,Order(j,i)) = Meta_reorder(1,Order(j,i))+Meta_raw(j,i);
        if Meta_raw(j,i) ~= 0
            Meta_reorder(2,Order(j,i)) = Meta_reorder(2,Order(j,i))+1;
            Meta_reorder(3,i) = Meta_reorder(3,i)+Order(j,i);
        end
        
    end
end

Meta_reorder_mean = Meta_reorder(1,:)./Meta_reorder(2,:);


%GLOBAL PLOT
if Uni_on == 0
figure
h = barwitherr(Meta_std, Meta_mean);
h(1).FaceColor = colalt(5,:);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
ylabel('Net Metabolic Power (W/kg)')
xlabel('Condition')
box off
sigstar({[2 5]})

figure
h = bar(Meta_reorder_mean);
h(1).FaceColor = colalt(5,:);
%set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
ylabel('Net Metabolic Power (W/kg)')
xlabel('Time (condition)')
box off
title('Metabolic Power as a Function of Trial Order')

end

%UNIVARIATE PLOT
if Uni_on == 1
figure
hold on
for i = 1:nos
    plot(1,dat_fixed.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',cf(i,:))
    plot(2,dat_open.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',co(i,:),'HandleVisibility','off')
    plot(3,dat_R1.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',cr1(i,:),'HandleVisibility','off')
    plot(4,dat_R2.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',cr2(i,:),'HandleVisibility','off')
    plot(5,dat_R3.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',cr3(i,:),'HandleVisibility','off')
    plot(6,dat_R4.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',cr4(i,:),'HandleVisibility','off')
    plot(7,dat_R5.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',cr5(i,:),'HandleVisibility','off')
    plot(8,dat_R6.Meta.Meta(i),'.','MarkerSize',30,'MarkerEdgeColor',cr6(i,:),'HandleVisibility','off')
end
ylabel('Net Metabolic Power (W/kg)')
xlabel('Condition')
legend('S1','S2','S3','S4','S5','S6','S7','S8','S9','S10','S11')
legend boxoff
box off
end

end
%% Plotting Mass Displacement
if Mass_disp == 1
    
%Amplitude Ratio
Ar_mean = [mean_fixed.Mass_Displacement.Amp_Ratio(1) ...
    mean_open.Mass_Displacement.Amp_Ratio(1) ...
    mean_R1.Mass_Displacement.Amp_Ratio(1)...
    mean_R2.Mass_Displacement.Amp_Ratio(1)...
    mean_R3.Mass_Displacement.Amp_Ratio(1)...
    mean_R4.Mass_Displacement.Amp_Ratio(1)...
    mean_R5.Mass_Displacement.Amp_Ratio(1)...
    mean_R6.Mass_Displacement.Amp_Ratio(1)];

Ar_std = [mean_fixed.Mass_Displacement.Amp_Ratio(2) ...
    mean_open.Mass_Displacement.Amp_Ratio(2) ...
    mean_R1.Mass_Displacement.Amp_Ratio(2)...
    mean_R2.Mass_Displacement.Amp_Ratio(2)...
    mean_R3.Mass_Displacement.Amp_Ratio(2)...
    mean_R4.Mass_Displacement.Amp_Ratio(2)...
    mean_R5.Mass_Displacement.Amp_Ratio(2)...
    mean_R6.Mass_Displacement.Amp_Ratio(2)];

%Phase Angle
PhA_mean = [0 ...
    mean_open.Mass_Displacement.Pendulum_Phase(1)...
    mean_R1.Mass_Displacement.Pendulum_Phase(1)...
    mean_R2.Mass_Displacement.Pendulum_Phase(1)...
    mean_R3.Mass_Displacement.Pendulum_Phase(1)...
    mean_R4.Mass_Displacement.Pendulum_Phase(1)...
    mean_R5.Mass_Displacement.Pendulum_Phase(1)...
    mean_R6.Mass_Displacement.Pendulum_Phase(1)];

PhA_std = [0 ...
    mean_open.Mass_Displacement.Pendulum_Phase(2)...
    mean_R1.Mass_Displacement.Pendulum_Phase(2)...
    mean_R2.Mass_Displacement.Pendulum_Phase(2)...
    mean_R3.Mass_Displacement.Pendulum_Phase(2)...
    mean_R4.Mass_Displacement.Pendulum_Phase(2)...
    mean_R5.Mass_Displacement.Pendulum_Phase(2)...
    mean_R6.Mass_Displacement.Pendulum_Phase(2)];

%Relative Mass Motion
AxR_mean = [mean_fixed.Mass_Displacement.Ax_Rel_wav(1,:);
    mean_open.Mass_Displacement.Ax_Rel_wav(1,:);
    mean_R1.Mass_Displacement.Ax_Rel_wav(1,:);
    mean_R2.Mass_Displacement.Ax_Rel_wav(1,:);
    mean_R3.Mass_Displacement.Ax_Rel_wav(1,:);
    mean_R4.Mass_Displacement.Ax_Rel_wav(1,:);
    mean_R5.Mass_Displacement.Ax_Rel_wav(1,:);
    mean_R6.Mass_Displacement.Ax_Rel_wav(1,:)];

%Global Mass Motion
AxG_mean = [mean_fixed.Mass_Displacement.Ax_Glob_wav(1,:);
    mean_open.Mass_Displacement.Ax_Glob_wav(1,:);
    mean_R1.Mass_Displacement.Ax_Glob_wav(1,:);
    mean_R2.Mass_Displacement.Ax_Glob_wav(1,:);
    mean_R3.Mass_Displacement.Ax_Glob_wav(1,:);
    mean_R4.Mass_Displacement.Ax_Glob_wav(1,:);
    mean_R5.Mass_Displacement.Ax_Glob_wav(1,:);
    mean_R6.Mass_Displacement.Ax_Glob_wav(1,:)];

%M-L Input Motion 
AxIN = [mean_fixed.Model_Input.M_L_In_wav(1,:);
    mean_open.Model_Input.M_L_In_wav(1,:);
    mean_R1.Model_Input.M_L_In_wav(1,:);
    mean_R2.Model_Input.M_L_In_wav(1,:);
    mean_R3.Model_Input.M_L_In_wav(1,:);
    mean_R4.Model_Input.M_L_In_wav(1,:);
    mean_R5.Model_Input.M_L_In_wav(1,:);
    mean_R6.Model_Input.M_L_In_wav(1,:)];
AxIN_mean = mean(AxIN);


%GLOBAL AVERAGE PLOTS
if Uni_on == 0
    
figure
subplot(2,1,1)
hold on
plot(AxIN_mean./10,'Color','r','LineWidth',lw)
for i = 2:8
    plot(AxR_mean(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AxR_mean(1,:),'--k','LineWidth',2)
ylabel('Mass Relative M-L Displacement (cm)')
xlabel('% Stride')
box off
legend('Input M-L Displacement','Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(2,1,2)
hold on
for i = 2:8
    plot(AxG_mean(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AxG_mean(1,:),'--k','LineWidth',2)
ylabel('Mass Global M-L Displacement (cm)')
xlabel('% Stride')
box off

figure
subplot(2,1,1)
h = barwitherr(Ar_std, Ar_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Amplitude Ratio')
xlabel('Condition')
box off

subplot(2,1,2)
h = barwitherr(PhA_std, PhA_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Phase Angle (^o)')
xlabel('Condition')
box off
end

%UNIVARIATE PLOTS
if Uni_on == 1
%Relative Mass Motion
wavsubplot(dat_fixed.Mass_Displacement.Ax_Rel_wav, dat_open.Mass_Displacement.Ax_Rel_wav, dat_R1.Mass_Displacement.Ax_Rel_wav, ...
    dat_R2.Mass_Displacement.Ax_Rel_wav, dat_R3.Mass_Displacement.Ax_Rel_wav, dat_R4.Mass_Displacement.Ax_Rel_wav, dat_R5.Mass_Displacement.Ax_Rel_wav, ...
    dat_R6.Mass_Displacement.Ax_Rel_wav,'Mass Relative M-L Displacement (cm)',lw,colSTRUCT,nos);

%Global Mass Motion
wavsubplot(dat_fixed.Mass_Displacement.Ax_Glob_wav, dat_open.Mass_Displacement.Ax_Glob_wav, dat_R1.Mass_Displacement.Ax_Glob_wav, ...
    dat_R2.Mass_Displacement.Ax_Glob_wav, dat_R3.Mass_Displacement.Ax_Glob_wav, dat_R4.Mass_Displacement.Ax_Glob_wav, dat_R5.Mass_Displacement.Ax_Glob_wav, ...
    dat_R6.Mass_Displacement.Ax_Glob_wav,'Mass Global M-L Displacement (cm)',lw,colSTRUCT,nos);

%Amplitude Ratio and Phase
figure
subplot(2,1,1)
scatsubplot(dat_fixed.Mass_Displacement.Amp_Ratio, dat_open.Mass_Displacement.Amp_Ratio, dat_R1.Mass_Displacement.Amp_Ratio,...
    dat_R2.Mass_Displacement.Amp_Ratio, dat_R3.Mass_Displacement.Amp_Ratio, dat_R4.Mass_Displacement.Amp_Ratio,...
    dat_R5.Mass_Displacement.Amp_Ratio, dat_R6.Mass_Displacement.Amp_Ratio,'Amplitude Ratio',colSTRUCT,nos);

subplot(2,1,2)
scatsubplot(NaN(nos,1), dat_open.Mass_Displacement.Pendulum_Phase, dat_R1.Mass_Displacement.Pendulum_Phase,...
    dat_R2.Mass_Displacement.Pendulum_Phase, dat_R3.Mass_Displacement.Pendulum_Phase, dat_R4.Mass_Displacement.Pendulum_Phase,...
    dat_R5.Mass_Displacement.Pendulum_Phase, dat_R6.Mass_Displacement.Pendulum_Phase,'Phase Angle (^o)',colSTRUCT,nos);

    
end

end

%% Plotting Electrical Power
if Elec_Pow == 1

%Electrical Power
Pow_mean = [0 ...
    0 ...
    mean_R1.P_elec.P_elec(1)...
    mean_R2.P_elec.P_elec(1)...
    mean_R3.P_elec.P_elec(1)...
    mean_R4.P_elec.P_elec(1)...
    mean_R5.P_elec.P_elec(1)...
    mean_R6.P_elec.P_elec(1)];

Pow_std = [0 ...
    0 ...
    mean_R1.P_elec.P_elec(2)...
    mean_R2.P_elec.P_elec(2)...
    mean_R3.P_elec.P_elec(2)...
    mean_R4.P_elec.P_elec(2)...
    mean_R5.P_elec.P_elec(2)...
    mean_R6.P_elec.P_elec(2)];

%Power Waveform
Pow_w = [zeros(1,100);
    zeros(1,100);
    mean_R1.P_elec.P_wav(1,:);
    mean_R2.P_elec.P_wav(1,:);
    mean_R3.P_elec.P_wav(1,:);
    mean_R4.P_elec.P_wav(1,:);
    mean_R5.P_elec.P_wav(1,:);
    mean_R6.P_elec.P_wav(1,:)];

%Voltage Waveform
V_w = [zeros(1,100);
    zeros(1,100);
    mean_R1.P_elec.V_wav(1,:);
    mean_R2.P_elec.V_wav(1,:);
    mean_R3.P_elec.V_wav(1,:);
    mean_R4.P_elec.V_wav(1,:);
    mean_R5.P_elec.V_wav(1,:);
    mean_R6.P_elec.V_wav(1,:)];

%Current Waveform
I_w = [zeros(1,100);
    zeros(1,100);
    mean_R1.P_elec.I_wav(1,:);
    mean_R2.P_elec.I_wav(1,:);
    mean_R3.P_elec.I_wav(1,:);
    mean_R4.P_elec.I_wav(1,:);
    mean_R5.P_elec.I_wav(1,:);
    mean_R6.P_elec.I_wav(1,:)];

%GLOBAL AVERAGE PLOTS
if Uni_on == 0
figure
h = barwitherr(Pow_std, Pow_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Electrical Power (W)')
xlabel('Condition')
box off

figure
subplot(3,1,1)
hold on
for i = 1:8
    plot(Pow_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
ylabel('Electrical Power (W)')
xlabel('% Stride')
box off
legend('Fixed','Open','R1','R2','R3','R4','R5','R6')
legend boxoff

subplot(3,1,2)
hold on
for i = 1:8
    plot(V_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
ylabel('Voltage Drop (V)')
xlabel('% Stride')
box off

subplot(3,1,3)
hold on
for i = 1:8
    plot(I_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
ylabel('Line Current (A)')
xlabel('% Stride')
box off
end

if Mass_disp == 1 
    
figure
subplot(3,1,1)
h = barwitherr(Pow_std, Pow_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Electrical Power (W)')
xlabel('Condition')
box off

subplot(3,1,2)
h = barwitherr(Ar_std, Ar_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Amplitude Ratio')
xlabel('Condition')
box off

subplot(3,1,3)
h = barwitherr(PhA_std, PhA_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Phase Angle (^o)')
xlabel('Condition')
box off

end



end

%% Plotting Device Force and Moment
if DevF == 1

%M-L Device Peak Force
Fxp_mean = [mean_fixed.Device_Force_Moment.Fx_peak(1)...
    mean_open.Device_Force_Moment.Fx_peak(1)...
    mean_R1.Device_Force_Moment.Fx_peak(1)...
    mean_R2.Device_Force_Moment.Fx_peak(1)...
    mean_R3.Device_Force_Moment.Fx_peak(1)...
    mean_R4.Device_Force_Moment.Fx_peak(1)...
    mean_R5.Device_Force_Moment.Fx_peak(1)...
    mean_R6.Device_Force_Moment.Fx_peak(1)];

Fxp_std = [mean_fixed.Device_Force_Moment.Fx_peak(2)...
    mean_open.Device_Force_Moment.Fx_peak(2)...
    mean_R1.Device_Force_Moment.Fx_peak(2)...
    mean_R2.Device_Force_Moment.Fx_peak(2)...
    mean_R3.Device_Force_Moment.Fx_peak(2)...
    mean_R4.Device_Force_Moment.Fx_peak(2)...
    mean_R5.Device_Force_Moment.Fx_peak(2)...
    mean_R6.Device_Force_Moment.Fx_peak(2)];

%M-L Device Force Waveform
Fx_wav = [mean_fixed.Device_Force_Moment.Fx_mean_wav(1,:);
    mean_open.Device_Force_Moment.Fx_mean_wav(1,:);
    mean_R1.Device_Force_Moment.Fx_mean_wav(1,:);
    mean_R2.Device_Force_Moment.Fx_mean_wav(1,:);
    mean_R3.Device_Force_Moment.Fx_mean_wav(1,:);
    mean_R4.Device_Force_Moment.Fx_mean_wav(1,:);
    mean_R5.Device_Force_Moment.Fx_mean_wav(1,:);
    mean_R6.Device_Force_Moment.Fx_mean_wav(1,:)];

%S-I Device Force
Fzp_mean = [mean_fixed.Device_Force_Moment.Fz_peak(1)...
    mean_open.Device_Force_Moment.Fz_peak(1)...
    mean_R1.Device_Force_Moment.Fz_peak(1)...
    mean_R2.Device_Force_Moment.Fz_peak(1)...
    mean_R3.Device_Force_Moment.Fz_peak(1)...
    mean_R4.Device_Force_Moment.Fz_peak(1)...
    mean_R5.Device_Force_Moment.Fz_peak(1)...
    mean_R6.Device_Force_Moment.Fz_peak(1)];

Fzp_std = [mean_fixed.Device_Force_Moment.Fz_peak(2)...
    mean_open.Device_Force_Moment.Fz_peak(2)...
    mean_R1.Device_Force_Moment.Fz_peak(2)...
    mean_R2.Device_Force_Moment.Fz_peak(2)...
    mean_R3.Device_Force_Moment.Fz_peak(2)...
    mean_R4.Device_Force_Moment.Fz_peak(2)...
    mean_R5.Device_Force_Moment.Fz_peak(2)...
    mean_R6.Device_Force_Moment.Fz_peak(2)];

%S-I Device Force Waveform
Fz_wav = [mean_fixed.Device_Force_Moment.Fz_mean_wav(1,:);
    mean_open.Device_Force_Moment.Fz_mean_wav(1,:);
    mean_R1.Device_Force_Moment.Fz_mean_wav(1,:);
    mean_R2.Device_Force_Moment.Fz_mean_wav(1,:);
    mean_R3.Device_Force_Moment.Fz_mean_wav(1,:);
    mean_R4.Device_Force_Moment.Fz_mean_wav(1,:);
    mean_R5.Device_Force_Moment.Fz_mean_wav(1,:);
    mean_R6.Device_Force_Moment.Fz_mean_wav(1,:)];

%Frontal Plane Peak Device Moment
Myp_mean = [mean_fixed.Device_Force_Moment.My_peak(1)...
    mean_open.Device_Force_Moment.My_peak(1)...
    mean_R1.Device_Force_Moment.My_peak(1)...
    mean_R2.Device_Force_Moment.My_peak(1)...
    mean_R3.Device_Force_Moment.My_peak(1)...
    mean_R4.Device_Force_Moment.My_peak(1)...
    mean_R5.Device_Force_Moment.My_peak(1)...
    mean_R6.Device_Force_Moment.My_peak(1)];

Myp_std = [mean_fixed.Device_Force_Moment.My_peak(2)...
    mean_open.Device_Force_Moment.My_peak(2)...
    mean_R1.Device_Force_Moment.My_peak(2)...
    mean_R2.Device_Force_Moment.My_peak(2)...
    mean_R3.Device_Force_Moment.My_peak(2)...
    mean_R4.Device_Force_Moment.My_peak(2)...
    mean_R5.Device_Force_Moment.My_peak(2)...
    mean_R6.Device_Force_Moment.My_peak(2)];

%Frontal Plane Device Moment Waveform
My_wav = [mean_fixed.Device_Force_Moment.My_mean_wav(1,:);
    mean_open.Device_Force_Moment.My_mean_wav(1,:);
    mean_R1.Device_Force_Moment.My_mean_wav(1,:);
    mean_R2.Device_Force_Moment.My_mean_wav(1,:);
    mean_R3.Device_Force_Moment.My_mean_wav(1,:);
    mean_R4.Device_Force_Moment.My_mean_wav(1,:);
    mean_R5.Device_Force_Moment.My_mean_wav(1,:);
    mean_R6.Device_Force_Moment.My_mean_wav(1,:)];

%GLOBAL AVERAGE PLOTS
if Uni_on == 0
figure
subplot(3,2,1)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black','HandleVisibility','off')
for i = 2:8
    plot(Fx_wav(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(Fx_wav(1,:),'--k','LineWidth',lw)
ylabel('M-L Device Force (N)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(3,2,2)
h = barwitherr(Fxp_std, Fxp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak M-L Dev. Force (N)')
xlabel('Condition')
box off

subplot(3,2,3)
hold on
for i = 2:8
    plot(Fz_wav(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(Fz_wav(1,:),'--k','LineWidth',lw)
ylabel('Vertical Device Force (N)')
xlabel('% Stride')
box off

subplot(3,2,4)
h = barwitherr(Fzp_std, Fzp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Vertical Dev. Force (N)')
xlabel('Condition')
box off

subplot(3,2,5)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black','HandleVisibility','off')
for i = 2:8
    plot(My_wav(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(My_wav(1,:),'--k','LineWidth',lw)
ylabel('Frontal Plane Device Moment (Nm)')
xlabel('% Stride')
box off

subplot(3,2,6)
h = barwitherr(Myp_std, Myp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Frontal Plane Dev. Mom. (Nm)')
xlabel('Condition')
box off
end

%UNIVARIATE PLOTS
if Uni_on == 1
%Fx Waveform
wavsubplot(dat_fixed.Device_Force_Moment.Fx_mean_wav, dat_open.Device_Force_Moment.Fx_mean_wav, dat_R1.Device_Force_Moment.Fx_mean_wav,...
    dat_R2.Device_Force_Moment.Fx_mean_wav, dat_R3.Device_Force_Moment.Fx_mean_wav, dat_R4.Device_Force_Moment.Fx_mean_wav,...
    dat_R5.Device_Force_Moment.Fx_mean_wav, dat_R6.Device_Force_Moment.Fx_mean_wav,'M-L Device Force (N)',lw,colSTRUCT,nos);

%Fz Waveform
wavsubplot(dat_fixed.Device_Force_Moment.Fz_mean_wav, dat_open.Device_Force_Moment.Fz_mean_wav, dat_R1.Device_Force_Moment.Fz_mean_wav,...
    dat_R2.Device_Force_Moment.Fz_mean_wav, dat_R3.Device_Force_Moment.Fz_mean_wav, dat_R4.Device_Force_Moment.Fz_mean_wav,...
    dat_R5.Device_Force_Moment.Fz_mean_wav, dat_R6.Device_Force_Moment.Fz_mean_wav,'Vertical Device Force (N)',lw,colSTRUCT,nos);

%My Waveform
wavsubplot(dat_fixed.Device_Force_Moment.My_mean_wav, dat_open.Device_Force_Moment.My_mean_wav, dat_R1.Device_Force_Moment.My_mean_wav,...
    dat_R2.Device_Force_Moment.My_mean_wav, dat_R3.Device_Force_Moment.My_mean_wav, dat_R4.Device_Force_Moment.My_mean_wav,...
    dat_R5.Device_Force_Moment.My_mean_wav, dat_R6.Device_Force_Moment.My_mean_wav,'Frontal Plane Moment (Nm)',lw,colSTRUCT,nos);
    
%Peak Fx 
figure
scatsubplot(dat_fixed.Device_Force_Moment.Fx_peak, dat_open.Device_Force_Moment.Fx_peak, dat_R1.Device_Force_Moment.Fx_peak,...
    dat_R2.Device_Force_Moment.Fx_peak, dat_R3.Device_Force_Moment.Fx_peak, dat_R4.Device_Force_Moment.Fx_peak,...
    dat_R5.Device_Force_Moment.Fx_peak, dat_R6.Device_Force_Moment.Fx_peak,'Peak: M-L Device Force (N)',colSTRUCT,nos);

%Peak Fz 
figure
scatsubplot(dat_fixed.Device_Force_Moment.Fz_peak, dat_open.Device_Force_Moment.Fz_peak, dat_R1.Device_Force_Moment.Fz_peak,...
    dat_R2.Device_Force_Moment.Fz_peak, dat_R3.Device_Force_Moment.Fz_peak, dat_R4.Device_Force_Moment.Fz_peak,...
    dat_R5.Device_Force_Moment.Fz_peak, dat_R6.Device_Force_Moment.Fz_peak,'Peak: Vertical Device Force (N)',colSTRUCT,nos);

%Peak My
figure
scatsubplot(dat_fixed.Device_Force_Moment.My_peak, dat_open.Device_Force_Moment.My_peak, dat_R1.Device_Force_Moment.My_peak,...
    dat_R2.Device_Force_Moment.My_peak, dat_R3.Device_Force_Moment.My_peak, dat_R4.Device_Force_Moment.My_peak,...
    dat_R5.Device_Force_Moment.My_peak, dat_R6.Device_Force_Moment.My_peak,'Peak: Frontal Plane Moment (Nm)',colSTRUCT,nos);
end

end

%% Plotting Stride Frequency
if fs_on == 1

fs_mean = [mean_fixed.Spat_Temp_Parameters.Stride_frequency(1)...
    mean_open.Spat_Temp_Parameters.Stride_frequency(1)...
    mean_R1.Spat_Temp_Parameters.Stride_frequency(1)...
    mean_R2.Spat_Temp_Parameters.Stride_frequency(1)...
    mean_R3.Spat_Temp_Parameters.Stride_frequency(1)...
    mean_R4.Spat_Temp_Parameters.Stride_frequency(1)...
    mean_R5.Spat_Temp_Parameters.Stride_frequency(1)...
    mean_R6.Spat_Temp_Parameters.Stride_frequency(1)];

fs_std = [mean_fixed.Spat_Temp_Parameters.Stride_frequency(2)...
    mean_open.Spat_Temp_Parameters.Stride_frequency(2)...
    mean_R1.Spat_Temp_Parameters.Stride_frequency(2)...
    mean_R2.Spat_Temp_Parameters.Stride_frequency(2)...
    mean_R3.Spat_Temp_Parameters.Stride_frequency(2)...
    mean_R4.Spat_Temp_Parameters.Stride_frequency(2)...
    mean_R5.Spat_Temp_Parameters.Stride_frequency(2)...
    mean_R6.Spat_Temp_Parameters.Stride_frequency(2)];

%GLOBAL MEAN
if Uni_on == 0
figure
h = barwitherr(fs_std, fs_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Stride Frequency (Hz)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER
if Uni_on == 1
figure
scatsubplot(dat_fixed.Spat_Temp_Parameters.Stride_frequency, dat_open.Spat_Temp_Parameters.Stride_frequency, dat_R1.Spat_Temp_Parameters.Stride_frequency,...
    dat_R2.Spat_Temp_Parameters.Stride_frequency, dat_R3.Spat_Temp_Parameters.Stride_frequency, dat_R4.Spat_Temp_Parameters.Stride_frequency,...
    dat_R5.Spat_Temp_Parameters.Stride_frequency, dat_R6.Spat_Temp_Parameters.Stride_frequency,'Stride Frequency (Hz)',colSTRUCT,nos);
end

end

%% Plotting Step Width
if sw_on == 1

sw_mean = [mean_fixed.Spat_Temp_Parameters.Stride_width(1)...
    mean_open.Spat_Temp_Parameters.Stride_width(1)...
    mean_R1.Spat_Temp_Parameters.Stride_width(1)...
    mean_R2.Spat_Temp_Parameters.Stride_width(1)...
    mean_R3.Spat_Temp_Parameters.Stride_width(1)...
    mean_R4.Spat_Temp_Parameters.Stride_width(1)...
    mean_R5.Spat_Temp_Parameters.Stride_width(1)...
    mean_R6.Spat_Temp_Parameters.Stride_width(1)];

sw_std = [mean_fixed.Spat_Temp_Parameters.Stride_width(2)...
    mean_open.Spat_Temp_Parameters.Stride_width(2)...
    mean_R1.Spat_Temp_Parameters.Stride_width(2)...
    mean_R2.Spat_Temp_Parameters.Stride_width(2)...
    mean_R3.Spat_Temp_Parameters.Stride_width(2)...
    mean_R4.Spat_Temp_Parameters.Stride_width(2)...
    mean_R5.Spat_Temp_Parameters.Stride_width(2)...
    mean_R6.Spat_Temp_Parameters.Stride_width(2)];

%GLOBAL MEAN PLOTTING
if Uni_on == 0
figure
h = barwitherr(sw_std, sw_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Step Width (m/LL)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOTTING
if Uni_on == 1
figure
scatsubplot(dat_fixed.Spat_Temp_Parameters.Stride_width, dat_open.Spat_Temp_Parameters.Stride_width, dat_R1.Spat_Temp_Parameters.Stride_width,...
    dat_R2.Spat_Temp_Parameters.Stride_width, dat_R3.Spat_Temp_Parameters.Stride_width, dat_R4.Spat_Temp_Parameters.Stride_width,...
    dat_R5.Spat_Temp_Parameters.Stride_width, dat_R6.Spat_Temp_Parameters.Stride_width,'Step Width (m/LL)',colSTRUCT,nos);
end

end

%% Plotting Stride Length
if sl_on == 1

sl_mean = [mean_fixed.Spat_Temp_Parameters.Stride_length(1)...
    mean_open.Spat_Temp_Parameters.Stride_length(1)...
    mean_R1.Spat_Temp_Parameters.Stride_length(1)...
    mean_R2.Spat_Temp_Parameters.Stride_length(1)...
    mean_R3.Spat_Temp_Parameters.Stride_length(1)...
    mean_R4.Spat_Temp_Parameters.Stride_length(1)...
    mean_R5.Spat_Temp_Parameters.Stride_length(1)...
    mean_R6.Spat_Temp_Parameters.Stride_length(1)];

sl_std = [mean_fixed.Spat_Temp_Parameters.Stride_length(2)...
    mean_open.Spat_Temp_Parameters.Stride_length(2)...
    mean_R1.Spat_Temp_Parameters.Stride_length(2)...
    mean_R2.Spat_Temp_Parameters.Stride_length(2)...
    mean_R3.Spat_Temp_Parameters.Stride_length(2)...
    mean_R4.Spat_Temp_Parameters.Stride_length(2)...
    mean_R5.Spat_Temp_Parameters.Stride_length(2)...
    mean_R6.Spat_Temp_Parameters.Stride_length(2)];

%GLOBAL MEAN PLOTTING
if Uni_on == 0
figure
h = barwitherr(sl_std, sl_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Stride Length (m/LL)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOTTING
if Uni_on == 1
figure
scatsubplot(dat_fixed.Spat_Temp_Parameters.Stride_length, dat_open.Spat_Temp_Parameters.Stride_length, dat_R1.Spat_Temp_Parameters.Stride_length,...
    dat_R2.Spat_Temp_Parameters.Stride_length, dat_R3.Spat_Temp_Parameters.Stride_length, dat_R4.Spat_Temp_Parameters.Stride_length,...
    dat_R5.Spat_Temp_Parameters.Stride_length, dat_R6.Spat_Temp_Parameters.Stride_length,'Stride Length (m/LL)',colSTRUCT,nos);
end

end

%% Plotting Joint Angles
if JA_on == 1

%Ankle Flex/Ext
AA_fe = [mean_fixed.Joint_Ang.AA_FlEx(1,:);
    mean_open.Joint_Ang.AA_FlEx(1,:);
    mean_R1.Joint_Ang.AA_FlEx(1,:);
    mean_R2.Joint_Ang.AA_FlEx(1,:);
    mean_R3.Joint_Ang.AA_FlEx(1,:);
    mean_R4.Joint_Ang.AA_FlEx(1,:);
    mean_R5.Joint_Ang.AA_FlEx(1,:);
    mean_R6.Joint_Ang.AA_FlEx(1,:)];

%Ankle Int/Ext Rotation
AA_ie = [mean_fixed.Joint_Ang.AA_InEv(1,:);
    mean_open.Joint_Ang.AA_InEv(1,:);
    mean_R1.Joint_Ang.AA_InEv(1,:);
    mean_R2.Joint_Ang.AA_InEv(1,:);
    mean_R3.Joint_Ang.AA_InEv(1,:);
    mean_R4.Joint_Ang.AA_InEv(1,:);
    mean_R5.Joint_Ang.AA_InEv(1,:);
    mean_R6.Joint_Ang.AA_InEv(1,:)];

%Knee Flex/Ext
KA_fe = [mean_fixed.Joint_Ang.KA_FlEx(1,:);
    mean_open.Joint_Ang.KA_FlEx(1,:);
    mean_R1.Joint_Ang.KA_FlEx(1,:);
    mean_R2.Joint_Ang.KA_FlEx(1,:);
    mean_R3.Joint_Ang.KA_FlEx(1,:);
    mean_R4.Joint_Ang.KA_FlEx(1,:);
    mean_R5.Joint_Ang.KA_FlEx(1,:);
    mean_R6.Joint_Ang.KA_FlEx(1,:)];

%Knee Abd/Add
KA_aa = [mean_fixed.Joint_Ang.KA_AbAd(1,:);
    mean_open.Joint_Ang.KA_AbAd(1,:);
    mean_R1.Joint_Ang.KA_AbAd(1,:);
    mean_R2.Joint_Ang.KA_AbAd(1,:);
    mean_R3.Joint_Ang.KA_AbAd(1,:);
    mean_R4.Joint_Ang.KA_AbAd(1,:);
    mean_R5.Joint_Ang.KA_AbAd(1,:);
    mean_R6.Joint_Ang.KA_AbAd(1,:)];

%Hip Flex/Ext
HA_fe = [mean_fixed.Joint_Ang.HA_FlEx(1,:);
    mean_open.Joint_Ang.HA_FlEx(1,:);
    mean_R1.Joint_Ang.HA_FlEx(1,:);
    mean_R2.Joint_Ang.HA_FlEx(1,:);
    mean_R3.Joint_Ang.HA_FlEx(1,:);
    mean_R4.Joint_Ang.HA_FlEx(1,:);
    mean_R5.Joint_Ang.HA_FlEx(1,:);
    mean_R6.Joint_Ang.HA_FlEx(1,:)];

%Knee Abd/Add
HA_aa = [mean_fixed.Joint_Ang.HA_AbAd(1,:);
    mean_open.Joint_Ang.HA_AbAd(1,:);
    mean_R1.Joint_Ang.HA_AbAd(1,:);
    mean_R2.Joint_Ang.HA_AbAd(1,:);
    mean_R3.Joint_Ang.HA_AbAd(1,:);
    mean_R4.Joint_Ang.HA_AbAd(1,:);
    mean_R5.Joint_Ang.HA_AbAd(1,:);
    mean_R6.Joint_Ang.HA_AbAd(1,:)];

%GLOBAL MEAN PLOTTING
if Uni_on == 0
figure
subplot(3,2,1)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black','HandleVisibility','off')
for i = 2:8
    plot(AA_fe(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AA_fe(1,:),'--k','LineWidth',lw)
ylabel('Ankle Angle: Flex/Ext (^o)')
xlabel('% Stride')
box off

subplot(3,2,2)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black','HandleVisibility','off')
for i = 2:8
    plot(AA_ie(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AA_ie(1,:),'--k','LineWidth',lw)
ylabel('Ankle Angle: Int/Ext Rotation (^o)')
xlabel('% Stride')
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff
box off

subplot(3,2,3)
hold on
for i = 2:8
    plot(KA_fe(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(KA_fe(1,:),'--k','LineWidth',lw)
ylabel('Knee Angle: Flex/Ext (^o)')
xlabel('% Stride')
box off

subplot(3,2,4)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black')
for i = 2:8
    plot(KA_aa(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(KA_aa(1,:),'--k','LineWidth',lw)
ylabel('Knee Angle: Abd/Add (^o)')
xlabel('% Stride')
box off

subplot(3,2,5)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black')
for i = 2:8
    plot(HA_fe(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(HA_fe(1,:),'--k','LineWidth',lw)
ylabel('Hip Angle: Flex/Ext (^o)')
xlabel('% Stride')
box off

subplot(3,2,6)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black')
for i = 2:8
    plot(HA_aa(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(HA_aa(1,:),'--k','LineWidth',lw)
ylabel('Hip Angle: Abd/Add (^o)')
xlabel('% Stride')
box off
end

%UNIVARIATE PLOTS
if Uni_on == 1
wavsubplot(dat_fixed.Joint_Ang.AA_FlEx, dat_open.Joint_Ang.AA_FlEx, dat_R1.Joint_Ang.AA_FlEx,...
    dat_R2.Joint_Ang.AA_FlEx, dat_R3.Joint_Ang.AA_FlEx, dat_R4.Joint_Ang.AA_FlEx,...
    dat_R5.Joint_Ang.AA_FlEx, dat_R6.Joint_Ang.AA_FlEx,'Ankle Angle: Flex/Ext (^o)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.Joint_Ang.AA_InEv, dat_open.Joint_Ang.AA_InEv, dat_R1.Joint_Ang.AA_InEv,...
    dat_R2.Joint_Ang.AA_InEv, dat_R3.Joint_Ang.AA_InEv, dat_R4.Joint_Ang.AA_InEv,...
    dat_R5.Joint_Ang.AA_InEv, dat_R6.Joint_Ang.AA_InEv,'Ankle Angle: Int/Ext Rotation (^o)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.Joint_Ang.KA_FlEx, dat_open.Joint_Ang.KA_FlEx, dat_R1.Joint_Ang.KA_FlEx,...
    dat_R2.Joint_Ang.KA_FlEx, dat_R3.Joint_Ang.KA_FlEx, dat_R4.Joint_Ang.KA_FlEx,...
    dat_R5.Joint_Ang.KA_FlEx, dat_R6.Joint_Ang.KA_FlEx,'Knee Angle: Flex/Ext (^o)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.Joint_Ang.KA_AbAd, dat_open.Joint_Ang.KA_AbAd, dat_R1.Joint_Ang.KA_AbAd,...
    dat_R2.Joint_Ang.KA_AbAd, dat_R3.Joint_Ang.KA_AbAd, dat_R4.Joint_Ang.KA_AbAd,...
    dat_R5.Joint_Ang.KA_AbAd, dat_R6.Joint_Ang.KA_AbAd,'Knee Angle: Abd/Add (^o)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.Joint_Ang.HA_FlEx, dat_open.Joint_Ang.HA_FlEx, dat_R1.Joint_Ang.HA_FlEx,...
    dat_R2.Joint_Ang.HA_FlEx, dat_R3.Joint_Ang.HA_FlEx, dat_R4.Joint_Ang.HA_FlEx,...
    dat_R5.Joint_Ang.HA_FlEx, dat_R6.Joint_Ang.HA_FlEx,'Hip Angle: Flex/Ext (^o)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.Joint_Ang.HA_AbAd, dat_open.Joint_Ang.HA_AbAd, dat_R1.Joint_Ang.HA_AbAd,...
    dat_R2.Joint_Ang.HA_AbAd, dat_R3.Joint_Ang.HA_AbAd, dat_R4.Joint_Ang.HA_AbAd,...
    dat_R5.Joint_Ang.HA_AbAd, dat_R6.Joint_Ang.HA_AbAd,'Hip Angle: Abd/Add (^o)',lw,colSTRUCT,nos);

end

end

%% Plotting Joint Moments
if JM_on == 1

%Ankle Moment - Flex/Ext
%Waveform
AMxw = [mean_fixed.Joint_Mom.AM_wav(1,:);
    mean_open.Joint_Mom.AM_wav(1,:);
    mean_R1.Joint_Mom.AM_wav(1,:);
    mean_R2.Joint_Mom.AM_wav(1,:);
    mean_R3.Joint_Mom.AM_wav(1,:);
    mean_R4.Joint_Mom.AM_wav(1,:);
    mean_R5.Joint_Mom.AM_wav(1,:);
    mean_R6.Joint_Mom.AM_wav(1,:)];

%Positive Peak Moment
AMxp_mean = [mean_fixed.Joint_Mom.Amx_pkp(1)...
    mean_open.Joint_Mom.Amx_pkp(1)...
    mean_R1.Joint_Mom.Amx_pkp(1)...
    mean_R2.Joint_Mom.Amx_pkp(1)...
    mean_R3.Joint_Mom.Amx_pkp(1)...
    mean_R4.Joint_Mom.Amx_pkp(1)...
    mean_R5.Joint_Mom.Amx_pkp(1)...
    mean_R6.Joint_Mom.Amx_pkp(1)];

AMxp_std = [mean_fixed.Joint_Mom.Amx_pkp(2)...
    mean_open.Joint_Mom.Amx_pkp(2)...
    mean_R1.Joint_Mom.Amx_pkp(2)...
    mean_R2.Joint_Mom.Amx_pkp(2)...
    mean_R3.Joint_Mom.Amx_pkp(2)...
    mean_R4.Joint_Mom.Amx_pkp(2)...
    mean_R5.Joint_Mom.Amx_pkp(2)...
    mean_R6.Joint_Mom.Amx_pkp(2)];

%Negative Peak Moment
AMxn_mean = [mean_fixed.Joint_Mom.Amx_pkn(1)...
    mean_open.Joint_Mom.Amx_pkn(1)...
    mean_R1.Joint_Mom.Amx_pkn(1)...
    mean_R2.Joint_Mom.Amx_pkn(1)...
    mean_R3.Joint_Mom.Amx_pkn(1)...
    mean_R4.Joint_Mom.Amx_pkn(1)...
    mean_R5.Joint_Mom.Amx_pkn(1)...
    mean_R6.Joint_Mom.Amx_pkn(1)];

AMxn_std = [mean_fixed.Joint_Mom.Amx_pkn(2)...
    mean_open.Joint_Mom.Amx_pkn(2)...
    mean_R1.Joint_Mom.Amx_pkn(2)...
    mean_R2.Joint_Mom.Amx_pkn(2)...
    mean_R3.Joint_Mom.Amx_pkn(2)...
    mean_R4.Joint_Mom.Amx_pkn(2)...
    mean_R5.Joint_Mom.Amx_pkn(2)...
    mean_R6.Joint_Mom.Amx_pkn(2)];


%Ankle Moment - Inv/Ev
%Waveform
AMyw = [mean_fixed.Joint_Mom.AM_wav(2,:);
    mean_open.Joint_Mom.AM_wav(2,:);
    mean_R1.Joint_Mom.AM_wav(2,:);
    mean_R2.Joint_Mom.AM_wav(2,:);
    mean_R3.Joint_Mom.AM_wav(2,:);
    mean_R4.Joint_Mom.AM_wav(2,:);
    mean_R5.Joint_Mom.AM_wav(2,:);
    mean_R6.Joint_Mom.AM_wav(2,:)];

%1st Peak Positive Moment
AMyp1_mean = [mean_fixed.Joint_Mom.Amy_pkp1(1)...
    mean_open.Joint_Mom.Amy_pkp1(1)...
    mean_R1.Joint_Mom.Amy_pkp1(1)...
    mean_R2.Joint_Mom.Amy_pkp1(1)...
    mean_R3.Joint_Mom.Amy_pkp1(1)...
    mean_R4.Joint_Mom.Amy_pkp1(1)...
    mean_R5.Joint_Mom.Amy_pkp1(1)...
    mean_R6.Joint_Mom.Amy_pkp1(1)];

AMyp1_std = [mean_fixed.Joint_Mom.Amy_pkp1(2)...
    mean_open.Joint_Mom.Amy_pkp1(2)...
    mean_R1.Joint_Mom.Amy_pkp1(2)...
    mean_R2.Joint_Mom.Amy_pkp1(2)...
    mean_R3.Joint_Mom.Amy_pkp1(2)...
    mean_R4.Joint_Mom.Amy_pkp1(2)...
    mean_R5.Joint_Mom.Amy_pkp1(2)...
    mean_R6.Joint_Mom.Amy_pkp1(2)];

%2nd Peak Positive Moment
AMyp2_mean = [mean_fixed.Joint_Mom.Amy_pkp2(1)...
    mean_open.Joint_Mom.Amy_pkp2(1)...
    mean_R1.Joint_Mom.Amy_pkp2(1)...
    mean_R2.Joint_Mom.Amy_pkp2(1)...
    mean_R3.Joint_Mom.Amy_pkp2(1)...
    mean_R4.Joint_Mom.Amy_pkp2(1)...
    mean_R5.Joint_Mom.Amy_pkp2(1)...
    mean_R6.Joint_Mom.Amy_pkp2(1)];

AMyp2_std = [mean_fixed.Joint_Mom.Amy_pkp2(2)...
    mean_open.Joint_Mom.Amy_pkp2(2)...
    mean_R1.Joint_Mom.Amy_pkp2(2)...
    mean_R2.Joint_Mom.Amy_pkp2(2)...
    mean_R3.Joint_Mom.Amy_pkp2(2)...
    mean_R4.Joint_Mom.Amy_pkp2(2)...
    mean_R5.Joint_Mom.Amy_pkp2(2)...
    mean_R6.Joint_Mom.Amy_pkp2(2)];

%GLOBAL MEAN PLOTS: ANKLE
if Uni_on == 0
figure
subplot(2,3,1)
hold on
for i = 2:8
    plot(AMxw(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AMxw(1,:),'--k','LineWidth',lw)
ylabel('Ankle Moment: Flex/Ext (Nm/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(2,3,2)
h = barwitherr(AMxp_std, AMxp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,3)
h = barwitherr(AMxn_std, AMxn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Negative Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,4)
hold on
for i = 2:8
    plot(AMyw(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AMyw(1,:),'--k','LineWidth',lw)
ylabel('Ankle Moment: Inv/Ev (Nm/BW)')
xlabel('% Stride')
box off

subplot(2,3,5)
h = barwitherr(AMyp1_std, AMyp1_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('1st Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,6)
h = barwitherr(AMyp2_std, AMyp2_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('2nd Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOT: ANKLE
if Uni_on == 1
    %Ankle: Sagittal waveform
    wavsubplot(dat_fixed.Joint_Mom.AM_wav(1:3:end,:), dat_open.Joint_Mom.AM_wav(1:3:end,:), dat_R1.Joint_Mom.AM_wav(1:3:end,:), ...
    dat_R2.Joint_Mom.AM_wav(1:3:end,:), dat_R3.Joint_Mom.AM_wav(1:3:end,:), dat_R4.Joint_Mom.AM_wav(1:3:end,:), dat_R5.Joint_Mom.AM_wav(1:3:end,:), ...
    dat_R6.Joint_Mom.AM_wav(1:3:end,:),'Ankle Moment: Flex/Ext (Nm/BW)',lw,colSTRUCT,nos);
    
    %Ankle: Sag. Pos. Peak
    figure
    scatsubplot(dat_fixed.Joint_Mom.Amx_pkp, dat_open.Joint_Mom.Amx_pkp, dat_R1.Joint_Mom.Amx_pkp,...
    dat_R2.Joint_Mom.Amx_pkp, dat_R3.Joint_Mom.Amx_pkp, dat_R4.Joint_Mom.Amx_pkp,...
    dat_R5.Joint_Mom.Amx_pkp, dat_R6.Joint_Mom.Amx_pkp,'Ankle Moment: Flex/Ext Peak Positive Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Sag. Neg. Peak
    figure
    scatsubplot(dat_fixed.Joint_Mom.Amx_pkn, dat_open.Joint_Mom.Amx_pkn, dat_R1.Joint_Mom.Amx_pkn,...
    dat_R2.Joint_Mom.Amx_pkn, dat_R3.Joint_Mom.Amx_pkn, dat_R4.Joint_Mom.Amx_pkn,...
    dat_R5.Joint_Mom.Amx_pkn, dat_R6.Joint_Mom.Amx_pkn,'Ankle Moment: Flex/Ext Peak Negative Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Frontal Waveform
    wavsubplot(dat_fixed.Joint_Mom.AM_wav(2:3:end,:), dat_open.Joint_Mom.AM_wav(2:3:end,:), dat_R1.Joint_Mom.AM_wav(2:3:end,:), ...
    dat_R2.Joint_Mom.AM_wav(2:3:end,:), dat_R3.Joint_Mom.AM_wav(2:3:end,:), dat_R4.Joint_Mom.AM_wav(2:3:end,:), dat_R5.Joint_Mom.AM_wav(2:3:end,:), ...
    dat_R6.Joint_Mom.AM_wav(2:3:end,:),'Ankle Moment: Inv/Ev (Nm/BW)',lw,colSTRUCT,nos);
    
    %Ankle: Frontal Pos. Peak 1
    figure
    scatsubplot(dat_fixed.Joint_Mom.Amy_pkp1, dat_open.Joint_Mom.Amy_pkp1, dat_R1.Joint_Mom.Amy_pkp1,...
    dat_R2.Joint_Mom.Amy_pkp1, dat_R3.Joint_Mom.Amy_pkp1, dat_R4.Joint_Mom.Amy_pkp1,...
    dat_R5.Joint_Mom.Amy_pkp1, dat_R6.Joint_Mom.Amy_pkp1,'Ankle Moment: Inv/Ev First Peak Positive Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Frontal Pos. Peak 2
    figure
    scatsubplot(dat_fixed.Joint_Mom.Amy_pkp2, dat_open.Joint_Mom.Amy_pkp2, dat_R1.Joint_Mom.Amy_pkp2,...
    dat_R2.Joint_Mom.Amy_pkp2, dat_R3.Joint_Mom.Amy_pkp2, dat_R4.Joint_Mom.Amy_pkp2,...
    dat_R5.Joint_Mom.Amy_pkp2, dat_R6.Joint_Mom.Amy_pkp2,'Ankle Moment: Inv/Ev First Peak Positive Moment (Nm/BW)',colSTRUCT,nos); 
end


%Knee Moment - Flex/Ext
%Waveform
KMxw = [mean_fixed.Joint_Mom.KM_wav(1,:);
    mean_open.Joint_Mom.KM_wav(1,:);
    mean_R1.Joint_Mom.KM_wav(1,:);
    mean_R2.Joint_Mom.KM_wav(1,:);
    mean_R3.Joint_Mom.KM_wav(1,:);
    mean_R4.Joint_Mom.KM_wav(1,:);
    mean_R5.Joint_Mom.KM_wav(1,:);
    mean_R6.Joint_Mom.KM_wav(1,:)];

%Positive Peak Moment
KMxp_mean = [mean_fixed.Joint_Mom.Kmx_pkp(1)...
    mean_open.Joint_Mom.Kmx_pkp(1)...
    mean_R1.Joint_Mom.Kmx_pkp(1)...
    mean_R2.Joint_Mom.Kmx_pkp(1)...
    mean_R3.Joint_Mom.Kmx_pkp(1)...
    mean_R4.Joint_Mom.Kmx_pkp(1)...
    mean_R5.Joint_Mom.Kmx_pkp(1)...
    mean_R6.Joint_Mom.Kmx_pkp(1)];

KMxp_std = [mean_fixed.Joint_Mom.Kmx_pkp(2)...
    mean_open.Joint_Mom.Kmx_pkp(2)...
    mean_R1.Joint_Mom.Kmx_pkp(2)...
    mean_R2.Joint_Mom.Kmx_pkp(2)...
    mean_R3.Joint_Mom.Kmx_pkp(2)...
    mean_R4.Joint_Mom.Kmx_pkp(2)...
    mean_R5.Joint_Mom.Kmx_pkp(2)...
    mean_R6.Joint_Mom.Kmx_pkp(2)];

%Negative Peak Moment
KMxn_mean = [mean_fixed.Joint_Mom.Kmx_pkn(1)...
    mean_open.Joint_Mom.Kmx_pkn(1)...
    mean_R1.Joint_Mom.Kmx_pkn(1)...
    mean_R2.Joint_Mom.Kmx_pkn(1)...
    mean_R3.Joint_Mom.Kmx_pkn(1)...
    mean_R4.Joint_Mom.Kmx_pkn(1)...
    mean_R5.Joint_Mom.Kmx_pkn(1)...
    mean_R6.Joint_Mom.Kmx_pkn(1)];

KMxn_std = [mean_fixed.Joint_Mom.Kmx_pkn(2)...
    mean_open.Joint_Mom.Kmx_pkn(2)...
    mean_R1.Joint_Mom.Kmx_pkn(2)...
    mean_R2.Joint_Mom.Kmx_pkn(2)...
    mean_R3.Joint_Mom.Kmx_pkn(2)...
    mean_R4.Joint_Mom.Kmx_pkn(2)...
    mean_R5.Joint_Mom.Kmx_pkn(2)...
    mean_R6.Joint_Mom.Kmx_pkn(2)];


%Knee Moment - Ab/Ad
%Waveform
KMyw = [mean_fixed.Joint_Mom.KM_wav(2,:);
    mean_open.Joint_Mom.KM_wav(2,:);
    mean_R1.Joint_Mom.KM_wav(2,:);
    mean_R2.Joint_Mom.KM_wav(2,:);
    mean_R3.Joint_Mom.KM_wav(2,:);
    mean_R4.Joint_Mom.KM_wav(2,:);
    mean_R5.Joint_Mom.KM_wav(2,:);
    mean_R6.Joint_Mom.KM_wav(2,:)];

%1st Peak Positive Moment
KMyp1_mean = [mean_fixed.Joint_Mom.Kmy_pkp1(1)...
    mean_open.Joint_Mom.Kmy_pkp1(1)...
    mean_R1.Joint_Mom.Kmy_pkp1(1)...
    mean_R2.Joint_Mom.Kmy_pkp1(1)...
    mean_R3.Joint_Mom.Kmy_pkp1(1)...
    mean_R4.Joint_Mom.Kmy_pkp1(1)...
    mean_R5.Joint_Mom.Kmy_pkp1(1)...
    mean_R6.Joint_Mom.Kmy_pkp1(1)];

KMyp1_std = [mean_fixed.Joint_Mom.Kmy_pkp1(2)...
    mean_open.Joint_Mom.Kmy_pkp1(2)...
    mean_R1.Joint_Mom.Kmy_pkp1(2)...
    mean_R2.Joint_Mom.Kmy_pkp1(2)...
    mean_R3.Joint_Mom.Kmy_pkp1(2)...
    mean_R4.Joint_Mom.Kmy_pkp1(2)...
    mean_R5.Joint_Mom.Kmy_pkp1(2)...
    mean_R6.Joint_Mom.Kmy_pkp1(2)];

%2nd Peak Positive Moment
KMyp2_mean = [mean_fixed.Joint_Mom.Kmy_pkp2(1)...
    mean_open.Joint_Mom.Kmy_pkp2(1)...
    mean_R1.Joint_Mom.Kmy_pkp2(1)...
    mean_R2.Joint_Mom.Kmy_pkp2(1)...
    mean_R3.Joint_Mom.Kmy_pkp2(1)...
    mean_R4.Joint_Mom.Kmy_pkp2(1)...
    mean_R5.Joint_Mom.Kmy_pkp2(1)...
    mean_R6.Joint_Mom.Kmy_pkp2(1)];

KMyp2_std = [mean_fixed.Joint_Mom.Kmy_pkp2(2)...
    mean_open.Joint_Mom.Kmy_pkp2(2)...
    mean_R1.Joint_Mom.Kmy_pkp2(2)...
    mean_R2.Joint_Mom.Kmy_pkp2(2)...
    mean_R3.Joint_Mom.Kmy_pkp2(2)...
    mean_R4.Joint_Mom.Kmy_pkp2(2)...
    mean_R5.Joint_Mom.Kmy_pkp2(2)...
    mean_R6.Joint_Mom.Kmy_pkp2(2)];

%GLOBAL MEAN PLOTS 
if Uni_on == 0
figure
subplot(2,3,1)
hold on
for i = 2:8
    plot(KMxw(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(KMxw(1,:),'--k','LineWidth',lw)
ylabel('Knee Moment: Flex/Ext (Nm/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(2,3,2)
h = barwitherr(KMxp_std, KMxp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,3)
h = barwitherr(KMxn_std, KMxn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Negative Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,4)
hold on
for i = 2:8
    plot(KMyw(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(KMyw(1,:),'--k','LineWidth',lw)
ylabel('Knee Moment: Abd/Add (Nm/BW)')
xlabel('% Stride')
box off

subplot(2,3,5)
h = barwitherr(KMyp1_std, KMyp1_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('1st Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,6)
h = barwitherr(KMyp2_std, KMyp2_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('2nd Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOT: KNEE
if Uni_on == 1
    %Knee: Sagittal waveform
    wavsubplot(dat_fixed.Joint_Mom.KM_wav(1:3:end,:), dat_open.Joint_Mom.KM_wav(1:3:end,:), dat_R1.Joint_Mom.KM_wav(1:3:end,:), ...
    dat_R2.Joint_Mom.KM_wav(1:3:end,:), dat_R3.Joint_Mom.KM_wav(1:3:end,:), dat_R4.Joint_Mom.KM_wav(1:3:end,:), dat_R5.Joint_Mom.KM_wav(1:3:end,:), ...
    dat_R6.Joint_Mom.KM_wav(1:3:end,:),'Knee Moment: Flex/Ext (Nm/BW)',lw,colSTRUCT,nos);
    
    %Ankle: Sag. Pos. Peak
    figure
    scatsubplot(dat_fixed.Joint_Mom.Kmx_pkp, dat_open.Joint_Mom.Kmx_pkp, dat_R1.Joint_Mom.Kmx_pkp,...
    dat_R2.Joint_Mom.Kmx_pkp, dat_R3.Joint_Mom.Kmx_pkp, dat_R4.Joint_Mom.Kmx_pkp,...
    dat_R5.Joint_Mom.Kmx_pkp, dat_R6.Joint_Mom.Kmx_pkp,'Knee Moment: Flex/Ext Peak Positive Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Sag. Neg. Peak
    figure
    scatsubplot(dat_fixed.Joint_Mom.Kmx_pkn, dat_open.Joint_Mom.Kmx_pkn, dat_R1.Joint_Mom.Kmx_pkn,...
    dat_R2.Joint_Mom.Kmx_pkn, dat_R3.Joint_Mom.Kmx_pkn, dat_R4.Joint_Mom.Kmx_pkn,...
    dat_R5.Joint_Mom.Kmx_pkn, dat_R6.Joint_Mom.Kmx_pkn,'Knee Moment: Flex/Ext Peak Negative Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Frontal Waveform
    wavsubplot(dat_fixed.Joint_Mom.KM_wav(2:3:end,:), dat_open.Joint_Mom.KM_wav(2:3:end,:), dat_R1.Joint_Mom.KM_wav(2:3:end,:), ...
    dat_R2.Joint_Mom.KM_wav(2:3:end,:), dat_R3.Joint_Mom.KM_wav(2:3:end,:), dat_R4.Joint_Mom.KM_wav(2:3:end,:), dat_R5.Joint_Mom.KM_wav(2:3:end,:), ...
    dat_R6.Joint_Mom.KM_wav(2:3:end,:),'Knee Moment: Abd/Add (Nm/BW)',lw,colSTRUCT,nos);
    
    %Ankle: Frontal Pos. Peak 1
    figure
    scatsubplot(dat_fixed.Joint_Mom.Kmy_pkp1, dat_open.Joint_Mom.Kmy_pkp1, dat_R1.Joint_Mom.Kmy_pkp1,...
    dat_R2.Joint_Mom.Kmy_pkp1, dat_R3.Joint_Mom.Kmy_pkp1, dat_R4.Joint_Mom.Kmy_pkp1,...
    dat_R5.Joint_Mom.Kmy_pkp1, dat_R6.Joint_Mom.Kmy_pkp1,'Knee Moment: Abd/Add First Peak Positive Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Frontal Pos. Peak 2
    figure
    scatsubplot(dat_fixed.Joint_Mom.Kmy_pkp2, dat_open.Joint_Mom.Kmy_pkp2, dat_R1.Joint_Mom.Kmy_pkp2,...
    dat_R2.Joint_Mom.Kmy_pkp2, dat_R3.Joint_Mom.Kmy_pkp2, dat_R4.Joint_Mom.Kmy_pkp2,...
    dat_R5.Joint_Mom.Kmy_pkp2, dat_R6.Joint_Mom.Kmy_pkp2,'Knee Moment: Abd/Add Second Peak Positive Moment (Nm/BW)',colSTRUCT,nos); 
end


%Hip Moment - Flex/Ext
%Waveform
HMxw = [mean_fixed.Joint_Mom.HM_wav(1,:);
    mean_open.Joint_Mom.HM_wav(1,:);
    mean_R1.Joint_Mom.HM_wav(1,:);
    mean_R2.Joint_Mom.HM_wav(1,:);
    mean_R3.Joint_Mom.HM_wav(1,:);
    mean_R4.Joint_Mom.HM_wav(1,:);
    mean_R5.Joint_Mom.HM_wav(1,:);
    mean_R6.Joint_Mom.HM_wav(1,:)];

%Positive Peak Moment
HMxp_mean = [mean_fixed.Joint_Mom.Hmx_pkp(1)...
    mean_open.Joint_Mom.Hmx_pkp(1)...
    mean_R1.Joint_Mom.Hmx_pkp(1)...
    mean_R2.Joint_Mom.Hmx_pkp(1)...
    mean_R3.Joint_Mom.Hmx_pkp(1)...
    mean_R4.Joint_Mom.Hmx_pkp(1)...
    mean_R5.Joint_Mom.Hmx_pkp(1)...
    mean_R6.Joint_Mom.Hmx_pkp(1)];

HMxp_std = [mean_fixed.Joint_Mom.Hmx_pkp(2)...
    mean_open.Joint_Mom.Hmx_pkp(2)...
    mean_R1.Joint_Mom.Hmx_pkp(2)...
    mean_R2.Joint_Mom.Hmx_pkp(2)...
    mean_R3.Joint_Mom.Hmx_pkp(2)...
    mean_R4.Joint_Mom.Hmx_pkp(2)...
    mean_R5.Joint_Mom.Hmx_pkp(2)...
    mean_R6.Joint_Mom.Hmx_pkp(2)];

%Negative Peak Moment
HMxn_mean = [mean_fixed.Joint_Mom.Hmx_pkn(1)...
    mean_open.Joint_Mom.Hmx_pkn(1)...
    mean_R1.Joint_Mom.Hmx_pkn(1)...
    mean_R2.Joint_Mom.Hmx_pkn(1)...
    mean_R3.Joint_Mom.Hmx_pkn(1)...
    mean_R4.Joint_Mom.Hmx_pkn(1)...
    mean_R5.Joint_Mom.Hmx_pkn(1)...
    mean_R6.Joint_Mom.Hmx_pkn(1)];

HMxn_std = [mean_fixed.Joint_Mom.Hmx_pkn(2)...
    mean_open.Joint_Mom.Hmx_pkn(2)...
    mean_R1.Joint_Mom.Hmx_pkn(2)...
    mean_R2.Joint_Mom.Hmx_pkn(2)...
    mean_R3.Joint_Mom.Hmx_pkn(2)...
    mean_R4.Joint_Mom.Hmx_pkn(2)...
    mean_R5.Joint_Mom.Hmx_pkn(2)...
    mean_R6.Joint_Mom.Hmx_pkn(2)];


%Hip Moment - Ab/Ad
%Waveform
HMyw = [mean_fixed.Joint_Mom.HM_wav(2,:);
    mean_open.Joint_Mom.HM_wav(2,:);
    mean_R1.Joint_Mom.HM_wav(2,:);
    mean_R2.Joint_Mom.HM_wav(2,:);
    mean_R3.Joint_Mom.HM_wav(2,:);
    mean_R4.Joint_Mom.HM_wav(2,:);
    mean_R5.Joint_Mom.HM_wav(2,:);
    mean_R6.Joint_Mom.HM_wav(2,:)];

%1st Peak Positive Moment
HMyp1_mean = [mean_fixed.Joint_Mom.Hmy_pkp1(1)...
    mean_open.Joint_Mom.Hmy_pkp1(1)...
    mean_R1.Joint_Mom.Hmy_pkp1(1)...
    mean_R2.Joint_Mom.Hmy_pkp1(1)...
    mean_R3.Joint_Mom.Hmy_pkp1(1)...
    mean_R4.Joint_Mom.Hmy_pkp1(1)...
    mean_R5.Joint_Mom.Hmy_pkp1(1)...
    mean_R6.Joint_Mom.Hmy_pkp1(1)];

HMyp1_std = [mean_fixed.Joint_Mom.Hmy_pkp1(2)...
    mean_open.Joint_Mom.Hmy_pkp1(2)...
    mean_R1.Joint_Mom.Hmy_pkp1(2)...
    mean_R2.Joint_Mom.Hmy_pkp1(2)...
    mean_R3.Joint_Mom.Hmy_pkp1(2)...
    mean_R4.Joint_Mom.Hmy_pkp1(2)...
    mean_R5.Joint_Mom.Hmy_pkp1(2)...
    mean_R6.Joint_Mom.Hmy_pkp1(2)];

%2nd Peak Positive Moment
HMyp2_mean = [mean_fixed.Joint_Mom.Hmy_pkp2(1)...
    mean_open.Joint_Mom.Hmy_pkp2(1)...
    mean_R1.Joint_Mom.Hmy_pkp2(1)...
    mean_R2.Joint_Mom.Hmy_pkp2(1)...
    mean_R3.Joint_Mom.Hmy_pkp2(1)...
    mean_R4.Joint_Mom.Hmy_pkp2(1)...
    mean_R5.Joint_Mom.Hmy_pkp2(1)...
    mean_R6.Joint_Mom.Hmy_pkp2(1)];

HMyp2_std = [mean_fixed.Joint_Mom.Hmy_pkp2(2)...
    mean_open.Joint_Mom.Hmy_pkp2(2)...
    mean_R1.Joint_Mom.Hmy_pkp2(2)...
    mean_R2.Joint_Mom.Hmy_pkp2(2)...
    mean_R3.Joint_Mom.Hmy_pkp2(2)...
    mean_R4.Joint_Mom.Hmy_pkp2(2)...
    mean_R5.Joint_Mom.Hmy_pkp2(2)...
    mean_R6.Joint_Mom.Hmy_pkp2(2)];

%GLOBAL MEAN PLOTS: HIP
if Uni_on == 0
figure
subplot(2,3,1)
hold on
for i = 2:8
    plot(HMxw(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(HMxw(1,:),'--k','LineWidth',lw)
ylabel('Hip Moment: Flex/Ext (Nm/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(2,3,2)
h = barwitherr(HMxp_std, HMxp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,3)
h = barwitherr(HMxn_std, HMxn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Peak Negative Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,4)
hold on
for i = 2:8
    plot(HMyw(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(HMyw(1,:),'--k','LineWidth',lw)
ylabel('Hip Moment: Abd/Add (Nm/BW)')
xlabel('% Stride')
box off

subplot(2,3,5)
h = barwitherr(HMyp1_std, HMyp1_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('1st Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off

subplot(2,3,6)
h = barwitherr(HMyp2_std, HMyp2_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('2nd Peak Positive Moment (Nm/BW)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOT: HIP
if Uni_on == 1
    %Knee: Sagittal waveform
    wavsubplot(dat_fixed.Joint_Mom.HM_wav(1:3:end,:), dat_open.Joint_Mom.HM_wav(1:3:end,:), dat_R1.Joint_Mom.HM_wav(1:3:end,:), ...
    dat_R2.Joint_Mom.HM_wav(1:3:end,:), dat_R3.Joint_Mom.HM_wav(1:3:end,:), dat_R4.Joint_Mom.HM_wav(1:3:end,:), dat_R5.Joint_Mom.HM_wav(1:3:end,:), ...
    dat_R6.Joint_Mom.HM_wav(1:3:end,:),'Hip Moment: Flex/Ext (Nm/BW)',lw,colSTRUCT,nos);
    
    %Ankle: Sag. Pos. Peak
    figure
    scatsubplot(dat_fixed.Joint_Mom.Hmx_pkp, dat_open.Joint_Mom.Hmx_pkp, dat_R1.Joint_Mom.Hmx_pkp,...
    dat_R2.Joint_Mom.Hmx_pkp, dat_R3.Joint_Mom.Hmx_pkp, dat_R4.Joint_Mom.Hmx_pkp,...
    dat_R5.Joint_Mom.Hmx_pkp, dat_R6.Joint_Mom.Hmx_pkp,'Hip Moment: Flex/Ext Peak Positive Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Sag. Neg. Peak
    figure
    scatsubplot(dat_fixed.Joint_Mom.Hmx_pkn, dat_open.Joint_Mom.Hmx_pkn, dat_R1.Joint_Mom.Hmx_pkn,...
    dat_R2.Joint_Mom.Hmx_pkn, dat_R3.Joint_Mom.Hmx_pkn, dat_R4.Joint_Mom.Hmx_pkn,...
    dat_R5.Joint_Mom.Hmx_pkn, dat_R6.Joint_Mom.Hmx_pkn,'Hip Moment: Flex/Ext Peak Negative Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Frontal Waveform
    wavsubplot(dat_fixed.Joint_Mom.HM_wav(2:3:end,:), dat_open.Joint_Mom.HM_wav(2:3:end,:), dat_R1.Joint_Mom.HM_wav(2:3:end,:), ...
    dat_R2.Joint_Mom.HM_wav(2:3:end,:), dat_R3.Joint_Mom.HM_wav(2:3:end,:), dat_R4.Joint_Mom.HM_wav(2:3:end,:), dat_R5.Joint_Mom.HM_wav(2:3:end,:), ...
    dat_R6.Joint_Mom.HM_wav(2:3:end,:),'Hip Moment: Abd/Add (Nm/BW)',lw,colSTRUCT,nos);
    
    %Ankle: Frontal Pos. Peak 1
    figure
    scatsubplot(dat_fixed.Joint_Mom.Hmy_pkp1, dat_open.Joint_Mom.Hmy_pkp1, dat_R1.Joint_Mom.Hmy_pkp1,...
    dat_R2.Joint_Mom.Hmy_pkp1, dat_R3.Joint_Mom.Hmy_pkp1, dat_R4.Joint_Mom.Hmy_pkp1,...
    dat_R5.Joint_Mom.Hmy_pkp1, dat_R6.Joint_Mom.Hmy_pkp1,'Hip Moment: Abd/Add First Peak Positive Moment (Nm/BW)',colSTRUCT,nos);

    %Ankle: Frontal Pos. Peak 2
    figure
    scatsubplot(dat_fixed.Joint_Mom.Hmy_pkp2, dat_open.Joint_Mom.Hmy_pkp2, dat_R1.Joint_Mom.Hmy_pkp2,...
    dat_R2.Joint_Mom.Hmy_pkp2, dat_R3.Joint_Mom.Hmy_pkp2, dat_R4.Joint_Mom.Hmy_pkp2,...
    dat_R5.Joint_Mom.Hmy_pkp2, dat_R6.Joint_Mom.Hmy_pkp2,'Hip Moment: Abd/Add Second Peak Positive Moment (Nm/BW)',colSTRUCT,nos); 
end

end

%% Plotting Joint Power
if JP_on == 1

%Ankle Power Waveform
AP_w = [mean_fixed.Joint_Pow.AP_wav(1,:);
    mean_open.Joint_Pow.AP_wav(1,:);
    mean_R1.Joint_Pow.AP_wav(1,:);
    mean_R2.Joint_Pow.AP_wav(1,:);
    mean_R3.Joint_Pow.AP_wav(1,:);
    mean_R4.Joint_Pow.AP_wav(1,:);
    mean_R5.Joint_Pow.AP_wav(1,:);
    mean_R6.Joint_Pow.AP_wav(1,:)];

%Knee Power Waveform
KP_w = [mean_fixed.Joint_Pow.KP_wav(1,:);
    mean_open.Joint_Pow.KP_wav(1,:);
    mean_R1.Joint_Pow.KP_wav(1,:);
    mean_R2.Joint_Pow.KP_wav(1,:);
    mean_R3.Joint_Pow.KP_wav(1,:);
    mean_R4.Joint_Pow.KP_wav(1,:);
    mean_R5.Joint_Pow.KP_wav(1,:);
    mean_R6.Joint_Pow.KP_wav(1,:)];

%Hip Power Waveform
HP_w = [mean_fixed.Joint_Pow.HP_wav(1,:);
    mean_open.Joint_Pow.HP_wav(1,:);
    mean_R1.Joint_Pow.HP_wav(1,:);
    mean_R2.Joint_Pow.HP_wav(1,:);
    mean_R3.Joint_Pow.HP_wav(1,:);
    mean_R4.Joint_Pow.HP_wav(1,:);
    mean_R5.Joint_Pow.HP_wav(1,:);
    mean_R6.Joint_Pow.HP_wav(1,:)];

%Positive Peak Ankle Power
APp_mean = [mean_fixed.Joint_Pow.Ap_pkp(1)...
    mean_open.Joint_Pow.Ap_pkp(1)...
    mean_R1.Joint_Pow.Ap_pkp(1)...
    mean_R2.Joint_Pow.Ap_pkp(1)...
    mean_R3.Joint_Pow.Ap_pkp(1)...
    mean_R4.Joint_Pow.Ap_pkp(1)...
    mean_R5.Joint_Pow.Ap_pkp(1)...
    mean_R6.Joint_Pow.Ap_pkp(1)];

APp_std = [mean_fixed.Joint_Pow.Ap_pkp(2)...
    mean_open.Joint_Pow.Ap_pkp(2)...
    mean_R1.Joint_Pow.Ap_pkp(2)...
    mean_R2.Joint_Pow.Ap_pkp(2)...
    mean_R3.Joint_Pow.Ap_pkp(2)...
    mean_R4.Joint_Pow.Ap_pkp(2)...
    mean_R5.Joint_Pow.Ap_pkp(2)...
    mean_R6.Joint_Pow.Ap_pkp(2)];

%Negative Peak Ankle Power
APn_mean = [mean_fixed.Joint_Pow.Ap_pkn(1)...
    mean_open.Joint_Pow.Ap_pkn(1)...
    mean_R1.Joint_Pow.Ap_pkn(1)...
    mean_R2.Joint_Pow.Ap_pkn(1)...
    mean_R3.Joint_Pow.Ap_pkn(1)...
    mean_R4.Joint_Pow.Ap_pkn(1)...
    mean_R5.Joint_Pow.Ap_pkn(1)...
    mean_R6.Joint_Pow.Ap_pkn(1)];

APn_std = [mean_fixed.Joint_Pow.Ap_pkn(2)...
    mean_open.Joint_Pow.Ap_pkn(2)...
    mean_R1.Joint_Pow.Ap_pkn(2)...
    mean_R2.Joint_Pow.Ap_pkn(2)...
    mean_R3.Joint_Pow.Ap_pkn(2)...
    mean_R4.Joint_Pow.Ap_pkn(2)...
    mean_R5.Joint_Pow.Ap_pkn(2)...
    mean_R6.Joint_Pow.Ap_pkn(2)];

%Negative Peak Knee Power
KPn_mean = [mean_fixed.Joint_Pow.Kp_pkn(1)...
    mean_open.Joint_Pow.Kp_pkn(1)...
    mean_R1.Joint_Pow.Kp_pkn(1)...
    mean_R2.Joint_Pow.Kp_pkn(1)...
    mean_R3.Joint_Pow.Kp_pkn(1)...
    mean_R4.Joint_Pow.Kp_pkn(1)...
    mean_R5.Joint_Pow.Kp_pkn(1)...
    mean_R6.Joint_Pow.Kp_pkn(1)];

KPn_std = [mean_fixed.Joint_Pow.Kp_pkn(2)...
    mean_open.Joint_Pow.Kp_pkn(2)...
    mean_R1.Joint_Pow.Kp_pkn(2)...
    mean_R2.Joint_Pow.Kp_pkn(2)...
    mean_R3.Joint_Pow.Kp_pkn(2)...
    mean_R4.Joint_Pow.Kp_pkn(2)...
    mean_R5.Joint_Pow.Kp_pkn(2)...
    mean_R6.Joint_Pow.Kp_pkn(2)];

%1st Positive Peak Hip Power
HPp1_mean = [mean_fixed.Joint_Pow.Hp_pkp1(1)...
    mean_open.Joint_Pow.Hp_pkp1(1)...
    mean_R1.Joint_Pow.Hp_pkp1(1)...
    mean_R2.Joint_Pow.Hp_pkp1(1)...
    mean_R3.Joint_Pow.Hp_pkp1(1)...
    mean_R4.Joint_Pow.Hp_pkp1(1)...
    mean_R5.Joint_Pow.Hp_pkp1(1)...
    mean_R6.Joint_Pow.Hp_pkp1(1)];

HPp1_std = [mean_fixed.Joint_Pow.Hp_pkp1(2)...
    mean_open.Joint_Pow.Hp_pkp1(2)...
    mean_R1.Joint_Pow.Hp_pkp1(2)...
    mean_R2.Joint_Pow.Hp_pkp1(2)...
    mean_R3.Joint_Pow.Hp_pkp1(2)...
    mean_R4.Joint_Pow.Hp_pkp1(2)...
    mean_R5.Joint_Pow.Hp_pkp1(2)...
    mean_R6.Joint_Pow.Hp_pkp1(2)];

%2nd Positive Peak Hip Power
HPp2_mean = [mean_fixed.Joint_Pow.Hp_pkp2(1)...
    mean_open.Joint_Pow.Hp_pkp2(1)...
    mean_R1.Joint_Pow.Hp_pkp2(1)...
    mean_R2.Joint_Pow.Hp_pkp2(1)...
    mean_R3.Joint_Pow.Hp_pkp2(1)...
    mean_R4.Joint_Pow.Hp_pkp2(1)...
    mean_R5.Joint_Pow.Hp_pkp2(1)...
    mean_R6.Joint_Pow.Hp_pkp2(1)];

HPp2_std = [mean_fixed.Joint_Pow.Hp_pkp2(2)...
    mean_open.Joint_Pow.Hp_pkp2(2)...
    mean_R1.Joint_Pow.Hp_pkp2(2)...
    mean_R2.Joint_Pow.Hp_pkp2(2)...
    mean_R3.Joint_Pow.Hp_pkp2(2)...
    mean_R4.Joint_Pow.Hp_pkp2(2)...
    mean_R5.Joint_Pow.Hp_pkp2(2)...
    mean_R6.Joint_Pow.Hp_pkp2(2)];

%Negative Peak Hip Power
HPn_mean = [mean_fixed.Joint_Pow.Hp_pkn(1)...
    mean_open.Joint_Pow.Hp_pkn(1)...
    mean_R1.Joint_Pow.Hp_pkn(1)...
    mean_R2.Joint_Pow.Hp_pkn(1)...
    mean_R3.Joint_Pow.Hp_pkn(1)...
    mean_R4.Joint_Pow.Hp_pkn(1)...
    mean_R5.Joint_Pow.Hp_pkn(1)...
    mean_R6.Joint_Pow.Hp_pkn(1)];

HPn_std = [mean_fixed.Joint_Pow.Hp_pkn(2)...
    mean_open.Joint_Pow.Hp_pkn(2)...
    mean_R1.Joint_Pow.Hp_pkn(2)...
    mean_R2.Joint_Pow.Hp_pkn(2)...
    mean_R3.Joint_Pow.Hp_pkn(2)...
    mean_R4.Joint_Pow.Hp_pkn(2)...
    mean_R5.Joint_Pow.Hp_pkn(2)...
    mean_R6.Joint_Pow.Hp_pkn(2)];

%GLOBAL MEAN PLOTS
if Uni_on == 0
figure
subplot(3,4,1)
hold on
for i = 2:8
    plot(AP_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AP_w(1,:),'--k','LineWidth',lw)
ylabel('Ankle Power (W/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(3,4,5)
hold on
for i = 2:8
    plot(KP_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(KP_w(1,:),'--k','LineWidth',lw)
ylabel('Knee Power (W/BW)')
xlabel('% Stride')
box off

subplot(3,4,9)
hold on
for i = 2:8
    plot(HP_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(HP_w(1,:),'--k','LineWidth',lw)
ylabel('Hip Power (W/BW)')
xlabel('% Stride')
box off

subplot(3,4,2)
h = barwitherr(APp_std, APp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Positive Peak Power (W/BW)')
xlabel('Condition')
box off

subplot(3,4,3)
h = barwitherr(APn_std, APn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Negative Peak Power (W/BW)')
xlabel('Condition')
box off

subplot(3,4,6)
h = barwitherr(KPn_std, KPn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Negative Peak Power (W/BW)')
xlabel('Condition')
box off

subplot(3,4,10)
h = barwitherr(HPp1_std, HPp1_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('1st Positive Peak Power (W/BW)')
xlabel('Condition')
box off

subplot(3,4,11)
h = barwitherr(HPp2_std, HPp2_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('2nd Positive Peak Power (W/BW)')
xlabel('Condition')
box off

subplot(3,4,12)
h = barwitherr(HPn_std, HPn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Negative Peak Power (W/BW)')
xlabel('Condition')
box off


figure
subplot(3,1,1)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black','HandleVisibility','off')
for i = 2:8
    plot(AP_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(AP_w(1,:),'--k','LineWidth',lw)
ylabel('Ankle Power (W/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(3,1,2)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black','HandleVisibility','off')
for i = 2:8
    plot(KP_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(KP_w(1,:),'--k','LineWidth',lw)
ylabel('Knee Power (W/BW)')
xlabel('% Stride')
box off

subplot(3,1,3)
hold on
line([0 100],[0 0], 'LineStyle','-.','Color','black','HandleVisibility','off')
for i = 2:8
    plot(HP_w(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(HP_w(1,:),'--k','LineWidth',lw)
ylabel('Hip Power (W/BW)')
xlabel('% Stride')
box off
end

%UNIVARIATE SCATTER PLOT
if Uni_on == 1
wavsubplot(dat_fixed.Joint_Pow.AP_wav, dat_open.Joint_Pow.AP_wav, dat_R1.Joint_Pow.AP_wav, ...
    dat_R2.Joint_Pow.AP_wav, dat_R3.Joint_Pow.AP_wav, dat_R4.Joint_Pow.AP_wav, dat_R5.Joint_Pow.AP_wav, ...
    dat_R6.Joint_Pow.AP_wav,'Ankle Power (W/BW)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.Joint_Pow.KP_wav, dat_open.Joint_Pow.KP_wav, dat_R1.Joint_Pow.KP_wav, ...
    dat_R2.Joint_Pow.KP_wav, dat_R3.Joint_Pow.KP_wav, dat_R4.Joint_Pow.KP_wav, dat_R5.Joint_Pow.KP_wav, ...
    dat_R6.Joint_Pow.KP_wav,'Knee Power (W/BW)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.Joint_Pow.HP_wav, dat_open.Joint_Pow.HP_wav, dat_R1.Joint_Pow.HP_wav, ...
    dat_R2.Joint_Pow.HP_wav, dat_R3.Joint_Pow.HP_wav, dat_R4.Joint_Pow.HP_wav, dat_R5.Joint_Pow.HP_wav, ...
    dat_R6.Joint_Pow.HP_wav,'Hip Power (W/BW)',lw,colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Pow.Ap_pkp, dat_open.Joint_Pow.Ap_pkp, dat_R1.Joint_Pow.Ap_pkp,...
    dat_R2.Joint_Pow.Ap_pkp, dat_R3.Joint_Pow.Ap_pkp, dat_R4.Joint_Pow.Ap_pkp,...
    dat_R5.Joint_Pow.Ap_pkp, dat_R6.Joint_Pow.Ap_pkp,'Ankle: Positive Peak Power (W/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Pow.Ap_pkn, dat_open.Joint_Pow.Ap_pkn, dat_R1.Joint_Pow.Ap_pkn,...
    dat_R2.Joint_Pow.Ap_pkn, dat_R3.Joint_Pow.Ap_pkn, dat_R4.Joint_Pow.Ap_pkn,...
    dat_R5.Joint_Pow.Ap_pkn, dat_R6.Joint_Pow.Ap_pkn,'Ankle: Negative Peak Power (W/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Pow.Kp_pkn, dat_open.Joint_Pow.Kp_pkn, dat_R1.Joint_Pow.Kp_pkn,...
    dat_R2.Joint_Pow.Kp_pkn, dat_R3.Joint_Pow.Kp_pkn, dat_R4.Joint_Pow.Kp_pkn,...
    dat_R5.Joint_Pow.Kp_pkn, dat_R6.Joint_Pow.Kp_pkn,'Knee: Negative Peak Power (W/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Pow.Hp_pkp1, dat_open.Joint_Pow.Hp_pkp1, dat_R1.Joint_Pow.Hp_pkp1,...
    dat_R2.Joint_Pow.Hp_pkp1, dat_R3.Joint_Pow.Hp_pkp1, dat_R4.Joint_Pow.Hp_pkp1,...
    dat_R5.Joint_Pow.Hp_pkp1, dat_R6.Joint_Pow.Hp_pkp1,'Hip: Positive First Peak Power (W/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Pow.Hp_pkp2, dat_open.Joint_Pow.Hp_pkp2, dat_R1.Joint_Pow.Hp_pkp2,...
    dat_R2.Joint_Pow.Hp_pkp2, dat_R3.Joint_Pow.Hp_pkp2, dat_R4.Joint_Pow.Hp_pkp2,...
    dat_R5.Joint_Pow.Hp_pkp2, dat_R6.Joint_Pow.Hp_pkp2,'Hip: Positive Second Peak Power (W/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Pow.Hp_pkn, dat_open.Joint_Pow.Hp_pkn, dat_R1.Joint_Pow.Hp_pkn,...
    dat_R2.Joint_Pow.Hp_pkn, dat_R3.Joint_Pow.Hp_pkn, dat_R4.Joint_Pow.Hp_pkn,...
    dat_R5.Joint_Pow.Hp_pkn, dat_R6.Joint_Pow.Hp_pkn,'Hip: Negative Peak Power (W/BW)',colSTRUCT,nos);
end


end

%% Plotting Joint Work

if JW_on == 1

%Ankle Positive Work
AWp_mean = [mean_fixed.Joint_Work.Awp(1)...
    mean_open.Joint_Work.Awp(1)...
    mean_R1.Joint_Work.Awp(1)...
    mean_R2.Joint_Work.Awp(1)...
    mean_R3.Joint_Work.Awp(1)...
    mean_R4.Joint_Work.Awp(1)...
    mean_R5.Joint_Work.Awp(1)...
    mean_R6.Joint_Work.Awp(1)];

AWp_std = [mean_fixed.Joint_Work.Awp(2)...
    mean_open.Joint_Work.Awp(2)...
    mean_R1.Joint_Work.Awp(2)...
    mean_R2.Joint_Work.Awp(2)...
    mean_R3.Joint_Work.Awp(2)...
    mean_R4.Joint_Work.Awp(2)...
    mean_R5.Joint_Work.Awp(2)...
    mean_R6.Joint_Work.Awp(2)];

%Ankle Negative Work
AWn_mean = [mean_fixed.Joint_Work.Awn(1)...
    mean_open.Joint_Work.Awn(1)...
    mean_R1.Joint_Work.Awn(1)...
    mean_R2.Joint_Work.Awn(1)...
    mean_R3.Joint_Work.Awn(1)...
    mean_R4.Joint_Work.Awn(1)...
    mean_R5.Joint_Work.Awn(1)...
    mean_R6.Joint_Work.Awn(1)];

AWn_std = [mean_fixed.Joint_Work.Awn(2)...
    mean_open.Joint_Work.Awn(2)...
    mean_R1.Joint_Work.Awn(2)...
    mean_R2.Joint_Work.Awn(2)...
    mean_R3.Joint_Work.Awn(2)...
    mean_R4.Joint_Work.Awn(2)...
    mean_R5.Joint_Work.Awn(2)...
    mean_R6.Joint_Work.Awn(2)];

%Knee Positive Work
KWp_mean = [mean_fixed.Joint_Work.Kwp(1)...
    mean_open.Joint_Work.Kwp(1)...
    mean_R1.Joint_Work.Kwp(1)...
    mean_R2.Joint_Work.Kwp(1)...
    mean_R3.Joint_Work.Kwp(1)...
    mean_R4.Joint_Work.Kwp(1)...
    mean_R5.Joint_Work.Kwp(1)...
    mean_R6.Joint_Work.Kwp(1)];

KWp_std = [mean_fixed.Joint_Work.Kwp(2)...
    mean_open.Joint_Work.Kwp(2)...
    mean_R1.Joint_Work.Kwp(2)...
    mean_R2.Joint_Work.Kwp(2)...
    mean_R3.Joint_Work.Kwp(2)...
    mean_R4.Joint_Work.Kwp(2)...
    mean_R5.Joint_Work.Kwp(2)...
    mean_R6.Joint_Work.Kwp(2)];

%Knee Negative Work
KWn_mean = [mean_fixed.Joint_Work.Kwn(1)...
    mean_open.Joint_Work.Kwn(1)...
    mean_R1.Joint_Work.Kwn(1)...
    mean_R2.Joint_Work.Kwn(1)...
    mean_R3.Joint_Work.Kwn(1)...
    mean_R4.Joint_Work.Kwn(1)...
    mean_R5.Joint_Work.Kwn(1)...
    mean_R6.Joint_Work.Kwn(1)];

KWn_std = [mean_fixed.Joint_Work.Kwn(2)...
    mean_open.Joint_Work.Kwn(2)...
    mean_R1.Joint_Work.Kwn(2)...
    mean_R2.Joint_Work.Kwn(2)...
    mean_R3.Joint_Work.Kwn(2)...
    mean_R4.Joint_Work.Kwn(2)...
    mean_R5.Joint_Work.Kwn(2)...
    mean_R6.Joint_Work.Kwn(2)];

%Hip Positive Work
HWp_mean = [mean_fixed.Joint_Work.Hwp(1)...
    mean_open.Joint_Work.Hwp(1)...
    mean_R1.Joint_Work.Hwp(1)...
    mean_R2.Joint_Work.Hwp(1)...
    mean_R3.Joint_Work.Hwp(1)...
    mean_R4.Joint_Work.Hwp(1)...
    mean_R5.Joint_Work.Hwp(1)...
    mean_R6.Joint_Work.Hwp(1)];

HWp_std = [mean_fixed.Joint_Work.Hwp(2)...
    mean_open.Joint_Work.Hwp(2)...
    mean_R1.Joint_Work.Hwp(2)...
    mean_R2.Joint_Work.Hwp(2)...
    mean_R3.Joint_Work.Hwp(2)...
    mean_R4.Joint_Work.Hwp(2)...
    mean_R5.Joint_Work.Hwp(2)...
    mean_R6.Joint_Work.Hwp(2)];

%Hip Negative Work
HWn_mean = [mean_fixed.Joint_Work.Hwn(1)...
    mean_open.Joint_Work.Hwn(1)...
    mean_R1.Joint_Work.Hwn(1)...
    mean_R2.Joint_Work.Hwn(1)...
    mean_R3.Joint_Work.Hwn(1)...
    mean_R4.Joint_Work.Hwn(1)...
    mean_R5.Joint_Work.Hwn(1)...
    mean_R6.Joint_Work.Hwn(1)];

HWn_std = [mean_fixed.Joint_Work.Hwn(2)...
    mean_open.Joint_Work.Hwn(2)...
    mean_R1.Joint_Work.Hwn(2)...
    mean_R2.Joint_Work.Hwn(2)...
    mean_R3.Joint_Work.Hwn(2)...
    mean_R4.Joint_Work.Hwn(2)...
    mean_R5.Joint_Work.Hwn(2)...
    mean_R6.Joint_Work.Hwn(2)];

%GLOBAL AVERAGE PLOTS
if Uni_on == 0
figure
subplot(3,2,1)
h = barwitherr(AWp_std, AWp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Ankle: Positive Work (Ws/BW)')
xlabel('Condition')
box off

subplot(3,2,2)
h = barwitherr(AWn_std, AWn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Ankle: Negative Work (Ws/BW)')
xlabel('Condition')
box off

subplot(3,2,3)
h = barwitherr(KWp_std, KWp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Knee: Positive Work (Ws/BW)')
xlabel('Condition')
box off

subplot(3,2,4)
h = barwitherr(KWn_std, KWn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Knee: Negative Work (Ws/BW)')
xlabel('Condition')
box off

subplot(3,2,5)
h = barwitherr(HWp_std, HWp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Hip: Positive Work (Ws/BW)')
xlabel('Condition')
box off

subplot(3,2,6)
h = barwitherr(HWn_std, HWn_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Hip: Negative Work (Ws/BW)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOTS
if Uni_on == 1
figure
scatsubplot(dat_fixed.Joint_Work.Awp, dat_open.Joint_Work.Awp, dat_R1.Joint_Work.Awp,...
    dat_R2.Joint_Work.Awp, dat_R3.Joint_Work.Awp, dat_R4.Joint_Work.Awp,...
    dat_R5.Joint_Work.Awp, dat_R6.Joint_Work.Awp,'Ankle: Positive Work (Ws/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Work.Awn, dat_open.Joint_Work.Awn, dat_R1.Joint_Work.Awn,...
    dat_R2.Joint_Work.Awn, dat_R3.Joint_Work.Awn, dat_R4.Joint_Work.Awn,...
    dat_R5.Joint_Work.Awn, dat_R6.Joint_Work.Awn,'Ankle: Negative Work (Ws/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Work.Kwp, dat_open.Joint_Work.Kwp, dat_R1.Joint_Work.Kwp,...
    dat_R2.Joint_Work.Kwp, dat_R3.Joint_Work.Kwp, dat_R4.Joint_Work.Kwp,...
    dat_R5.Joint_Work.Kwp, dat_R6.Joint_Work.Kwp,'Knee: Positive Work (Ws/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Work.Kwn, dat_open.Joint_Work.Kwn, dat_R1.Joint_Work.Kwn,...
    dat_R2.Joint_Work.Kwn, dat_R3.Joint_Work.Kwn, dat_R4.Joint_Work.Kwn,...
    dat_R5.Joint_Work.Kwn, dat_R6.Joint_Work.Kwn,'Knee: Negative Work (Ws/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Work.Hwp, dat_open.Joint_Work.Hwp, dat_R1.Joint_Work.Hwp,...
    dat_R2.Joint_Work.Hwp, dat_R3.Joint_Work.Hwp, dat_R4.Joint_Work.Hwp,...
    dat_R5.Joint_Work.Hwp, dat_R6.Joint_Work.Hwp,'Hip: Positive Work (Ws/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.Joint_Work.Hwn, dat_open.Joint_Work.Hwn, dat_R1.Joint_Work.Hwn,...
    dat_R2.Joint_Work.Hwn, dat_R3.Joint_Work.Hwn, dat_R4.Joint_Work.Hwn,...
    dat_R5.Joint_Work.Hwn, dat_R6.Joint_Work.Hwn,'Hip: Negative Work (Ws/BW)',colSTRUCT,nos);

end

end

%% Plotting GRF

if GRF_on == 1

%Waveform
GRFwx = [mean_fixed.GRF.GRF_mean_waveform(1,:);
    mean_open.GRF.GRF_mean_waveform(1,:);
    mean_R1.GRF.GRF_mean_waveform(1,:);
    mean_R2.GRF.GRF_mean_waveform(1,:);
    mean_R3.GRF.GRF_mean_waveform(1,:);
    mean_R4.GRF.GRF_mean_waveform(1,:);
    mean_R5.GRF.GRF_mean_waveform(1,:);
    mean_R6.GRF.GRF_mean_waveform(1,:)];

GRFwy = [mean_fixed.GRF.GRF_mean_waveform(2,:);
    mean_open.GRF.GRF_mean_waveform(2,:);
    mean_R1.GRF.GRF_mean_waveform(2,:);
    mean_R2.GRF.GRF_mean_waveform(2,:);
    mean_R3.GRF.GRF_mean_waveform(2,:);
    mean_R4.GRF.GRF_mean_waveform(2,:);
    mean_R5.GRF.GRF_mean_waveform(2,:);
    mean_R6.GRF.GRF_mean_waveform(2,:)];

GRFwz = [mean_fixed.GRF.GRF_mean_waveform(3,:);
    mean_open.GRF.GRF_mean_waveform(3,:);
    mean_R1.GRF.GRF_mean_waveform(3,:);
    mean_R2.GRF.GRF_mean_waveform(3,:);
    mean_R3.GRF.GRF_mean_waveform(3,:);
    mean_R4.GRF.GRF_mean_waveform(3,:);
    mean_R5.GRF.GRF_mean_waveform(3,:);
    mean_R6.GRF.GRF_mean_waveform(3,:)];

%Positive Impulse
GRFpx_mean = [mean_fixed.GRF.GRF_pos_impulse(1,1)...
    mean_open.GRF.GRF_pos_impulse(1,1)...
    mean_R1.GRF.GRF_pos_impulse(1,1)...
    mean_R2.GRF.GRF_pos_impulse(1,1)...
    mean_R3.GRF.GRF_pos_impulse(1,1)...
    mean_R4.GRF.GRF_pos_impulse(1,1)...
    mean_R5.GRF.GRF_pos_impulse(1,1)...
    mean_R6.GRF.GRF_pos_impulse(1,1)];

GRFpx_std = [mean_fixed.GRF.GRF_pos_impulse(1,2)...
    mean_open.GRF.GRF_pos_impulse(1,2)...
    mean_R1.GRF.GRF_pos_impulse(1,2)...
    mean_R2.GRF.GRF_pos_impulse(1,2)...
    mean_R3.GRF.GRF_pos_impulse(1,2)...
    mean_R4.GRF.GRF_pos_impulse(1,2)...
    mean_R5.GRF.GRF_pos_impulse(1,2)...
    mean_R6.GRF.GRF_pos_impulse(1,2)];

GRFpy_mean = [mean_fixed.GRF.GRF_pos_impulse(2,1)...
    mean_open.GRF.GRF_pos_impulse(2,1)...
    mean_R1.GRF.GRF_pos_impulse(2,1)...
    mean_R2.GRF.GRF_pos_impulse(2,1)...
    mean_R3.GRF.GRF_pos_impulse(2,1)...
    mean_R4.GRF.GRF_pos_impulse(2,1)...
    mean_R5.GRF.GRF_pos_impulse(2,1)...
    mean_R6.GRF.GRF_pos_impulse(2,1)];

GRFpy_std = [mean_fixed.GRF.GRF_pos_impulse(2,2)...
    mean_open.GRF.GRF_pos_impulse(2,2)...
    mean_R1.GRF.GRF_pos_impulse(2,2)...
    mean_R2.GRF.GRF_pos_impulse(2,2)...
    mean_R3.GRF.GRF_pos_impulse(2,2)...
    mean_R4.GRF.GRF_pos_impulse(2,2)...
    mean_R5.GRF.GRF_pos_impulse(2,2)...
    mean_R6.GRF.GRF_pos_impulse(2,2)];

GRFpz_mean = [mean_fixed.GRF.GRF_pos_impulse(3,1)...
    mean_open.GRF.GRF_pos_impulse(3,1)...
    mean_R1.GRF.GRF_pos_impulse(3,1)...
    mean_R2.GRF.GRF_pos_impulse(3,1)...
    mean_R3.GRF.GRF_pos_impulse(3,1)...
    mean_R4.GRF.GRF_pos_impulse(3,1)...
    mean_R5.GRF.GRF_pos_impulse(3,1)...
    mean_R6.GRF.GRF_pos_impulse(3,1)];

GRFpz_std = [mean_fixed.GRF.GRF_pos_impulse(3,2)...
    mean_open.GRF.GRF_pos_impulse(3,2)...
    mean_R1.GRF.GRF_pos_impulse(3,2)...
    mean_R2.GRF.GRF_pos_impulse(3,2)...
    mean_R3.GRF.GRF_pos_impulse(3,2)...
    mean_R4.GRF.GRF_pos_impulse(3,2)...
    mean_R5.GRF.GRF_pos_impulse(3,2)...
    mean_R6.GRF.GRF_pos_impulse(3,2)];

%Impulse
GRFnx_mean = [mean_fixed.GRF.GRF_neg_impulse(1,1)...
    mean_open.GRF.GRF_neg_impulse(1,1)...
    mean_R1.GRF.GRF_neg_impulse(1,1)...
    mean_R2.GRF.GRF_neg_impulse(1,1)...
    mean_R3.GRF.GRF_neg_impulse(1,1)...
    mean_R4.GRF.GRF_neg_impulse(1,1)...
    mean_R5.GRF.GRF_neg_impulse(1,1)...
    mean_R6.GRF.GRF_neg_impulse(1,1)];

GRFnx_std = [mean_fixed.GRF.GRF_neg_impulse(1,2)...
    mean_open.GRF.GRF_neg_impulse(1,2)...
    mean_R1.GRF.GRF_neg_impulse(1,2)...
    mean_R2.GRF.GRF_neg_impulse(1,2)...
    mean_R3.GRF.GRF_neg_impulse(1,2)...
    mean_R4.GRF.GRF_neg_impulse(1,2)...
    mean_R5.GRF.GRF_neg_impulse(1,2)...
    mean_R6.GRF.GRF_neg_impulse(1,2)];

GRFny_mean = [mean_fixed.GRF.GRF_neg_impulse(2,1)...
    mean_open.GRF.GRF_neg_impulse(2,1)...
    mean_R1.GRF.GRF_neg_impulse(2,1)...
    mean_R2.GRF.GRF_neg_impulse(2,1)...
    mean_R3.GRF.GRF_neg_impulse(2,1)...
    mean_R4.GRF.GRF_neg_impulse(2,1)...
    mean_R5.GRF.GRF_neg_impulse(2,1)...
    mean_R6.GRF.GRF_neg_impulse(2,1)];

GRFny_std = [mean_fixed.GRF.GRF_neg_impulse(2,2)...
    mean_open.GRF.GRF_neg_impulse(2,2)...
    mean_R1.GRF.GRF_neg_impulse(2,2)...
    mean_R2.GRF.GRF_neg_impulse(2,2)...
    mean_R3.GRF.GRF_neg_impulse(2,2)...
    mean_R4.GRF.GRF_neg_impulse(2,2)...
    mean_R5.GRF.GRF_neg_impulse(2,2)...
    mean_R6.GRF.GRF_neg_impulse(2,2)];

GRFnz_mean = [mean_fixed.GRF.GRF_neg_impulse(3,1)...
    mean_open.GRF.GRF_neg_impulse(3,1)...
    mean_R1.GRF.GRF_neg_impulse(3,1)...
    mean_R2.GRF.GRF_neg_impulse(3,1)...
    mean_R3.GRF.GRF_neg_impulse(3,1)...
    mean_R4.GRF.GRF_neg_impulse(3,1)...
    mean_R5.GRF.GRF_neg_impulse(3,1)...
    mean_R6.GRF.GRF_neg_impulse(3,1)];

GRFnz_std = [mean_fixed.GRF.GRF_neg_impulse(3,2)...
    mean_open.GRF.GRF_neg_impulse(3,2)...
    mean_R1.GRF.GRF_neg_impulse(3,2)...
    mean_R2.GRF.GRF_neg_impulse(3,2)...
    mean_R3.GRF.GRF_neg_impulse(3,2)...
    mean_R4.GRF.GRF_neg_impulse(3,2)...
    mean_R5.GRF.GRF_neg_impulse(3,2)...
    mean_R6.GRF.GRF_neg_impulse(3,2)];

%GLOBAL AVERAGE PLOTTING
if Uni_on == 0
figure
subplot(3,3,1)
hold on
for i = 2:8
    plot(GRFwx(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(GRFwx(1,:),'--k','LineWidth',lw)
ylabel('M-L GRF (N/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(3,3,2)
h = barwitherr(GRFpx_std, GRFpx_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('M-L GRF: Positive Impulse (Ns/BW)')
xlabel('Condition')
box off

subplot(3,3,3)
h = barwitherr(GRFnx_std, GRFnx_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('M-L GRF: Negative Impulse (Ns/BW)')
xlabel('Condition')
box off

subplot(3,3,4)
hold on
for i = 2:8
    plot(GRFwy(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(GRFwy(1,:),'--k','LineWidth',lw)
ylabel('F-A GRF (N/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(3,3,5)
h = barwitherr(GRFpy_std, GRFpy_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('F-A GRF: Positive Impulse (Ns/BW)')
xlabel('Condition')
box off

subplot(3,3,6)
h = barwitherr(GRFny_std, GRFny_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('F-A GRF: Negative Impulse (Ns/BW)')
xlabel('Condition')
box off

subplot(3,3,7)
hold on
for i = 2:8
    plot(GRFwz(i,:),'Color',colalt(i,:),'LineWidth',lw)
end
plot(GRFwz(1,:),'--k','LineWidth',lw)
ylabel('S-I GRF (N/BW)')
xlabel('% Stride')
box off
legend('Open','R1','R2','R3','R4','R5','R6','Fixed')
legend boxoff

subplot(3,3,8)
h = barwitherr(GRFpz_std, GRFpz_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('S-I GRF: Positive Impulse (Ns/BW)')
xlabel('Condition')
box off

%subplot(3,3,9)
%h = barwitherr(GRFnz_std, GRFnz_mean);
%set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
%h(1).FaceColor = colalt(5,:);
%ylabel('S-I GRF: Positive Impulse (Ns/BW)')
%xlabel('Condition')
%box off
end

%UNIVARIATE SCATTER PLOTs
if Uni_on == 1
    wavsubplot(dat_fixed.GRF.GRF_mean_waveform(1:3:end,:), dat_open.GRF.GRF_mean_waveform(1:3:end,:), dat_R1.GRF.GRF_mean_waveform(1:3:end,:), ...
    dat_R2.GRF.GRF_mean_waveform(1:3:end,:), dat_R3.GRF.GRF_mean_waveform(1:3:end,:), dat_R4.GRF.GRF_mean_waveform(1:3:end,:), dat_R5.GRF.GRF_mean_waveform(1:3:end,:), ...
    dat_R6.GRF.GRF_mean_waveform(1:3:end,:),'M-L GRF (N/BW)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.GRF.GRF_mean_waveform(2:3:end,:), dat_open.GRF.GRF_mean_waveform(2:3:end,:), dat_R1.GRF.GRF_mean_waveform(2:3:end,:), ...
    dat_R2.GRF.GRF_mean_waveform(2:3:end,:), dat_R3.GRF.GRF_mean_waveform(2:3:end,:), dat_R4.GRF.GRF_mean_waveform(2:3:end,:), dat_R5.GRF.GRF_mean_waveform(2:3:end,:), ...
    dat_R6.GRF.GRF_mean_waveform(2:3:end,:),'F-A GRF (N/BW)',lw,colSTRUCT,nos);

wavsubplot(dat_fixed.GRF.GRF_mean_waveform(3:3:end,:), dat_open.GRF.GRF_mean_waveform(3:3:end,:), dat_R1.GRF.GRF_mean_waveform(3:3:end,:), ...
    dat_R2.GRF.GRF_mean_waveform(3:3:end,:), dat_R3.GRF.GRF_mean_waveform(3:3:end,:), dat_R4.GRF.GRF_mean_waveform(3:3:end,:), dat_R5.GRF.GRF_mean_waveform(3:3:end,:), ...
    dat_R6.GRF.GRF_mean_waveform(3:3:end,:),'S-I GRF (N/BW)',lw,colSTRUCT,nos);

figure
scatsubplot(dat_fixed.GRF.GRF_pos_impulse(1:3:end), dat_open.GRF.GRF_pos_impulse(1:3:end), dat_R1.GRF.GRF_pos_impulse(1:3:end),...
    dat_R2.GRF.GRF_pos_impulse(1:3:end), dat_R3.GRF.GRF_pos_impulse(1:3:end), dat_R4.GRF.GRF_pos_impulse(1:3:end),...
    dat_R5.GRF.GRF_pos_impulse(1:3:end), dat_R6.GRF.GRF_pos_impulse(1:3:end),'M-L GRF: Positive Impulse (Ns/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.GRF.GRF_neg_impulse(1:3:end), dat_open.GRF.GRF_neg_impulse(1:3:end), dat_R1.GRF.GRF_neg_impulse(1:3:end),...
    dat_R2.GRF.GRF_neg_impulse(1:3:end), dat_R3.GRF.GRF_neg_impulse(1:3:end), dat_R4.GRF.GRF_neg_impulse(1:3:end),...
    dat_R5.GRF.GRF_neg_impulse(1:3:end), dat_R6.GRF.GRF_neg_impulse(1:3:end),'M-L GRF: Negative Impulse (Ns/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.GRF.GRF_pos_impulse(2:3:end), dat_open.GRF.GRF_pos_impulse(2:3:end), dat_R1.GRF.GRF_pos_impulse(2:3:end),...
    dat_R2.GRF.GRF_pos_impulse(2:3:end), dat_R3.GRF.GRF_pos_impulse(2:3:end), dat_R4.GRF.GRF_pos_impulse(2:3:end),...
    dat_R5.GRF.GRF_pos_impulse(2:3:end), dat_R6.GRF.GRF_pos_impulse(2:3:end),'F-A GRF: Positive Impulse (Ns/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.GRF.GRF_neg_impulse(2:3:end), dat_open.GRF.GRF_neg_impulse(2:3:end), dat_R1.GRF.GRF_neg_impulse(2:3:end),...
    dat_R2.GRF.GRF_neg_impulse(2:3:end), dat_R3.GRF.GRF_neg_impulse(2:3:end), dat_R4.GRF.GRF_neg_impulse(2:3:end),...
    dat_R5.GRF.GRF_neg_impulse(2:3:end), dat_R6.GRF.GRF_neg_impulse(2:3:end),'F-A GRF: Negative Impulse (Ns/BW)',colSTRUCT,nos);

figure
scatsubplot(dat_fixed.GRF.GRF_pos_impulse(3:3:end), dat_open.GRF.GRF_pos_impulse(3:3:end), dat_R1.GRF.GRF_pos_impulse(3:3:end),...
    dat_R2.GRF.GRF_pos_impulse(3:3:end), dat_R3.GRF.GRF_pos_impulse(3:3:end), dat_R4.GRF.GRF_pos_impulse(3:3:end),...
    dat_R5.GRF.GRF_pos_impulse(3:3:end), dat_R6.GRF.GRF_pos_impulse(3:3:end),'S-I GRF: Positive Impulse (Ns/BW)',colSTRUCT,nos);
end

end

%% Plotting MOS

if MOS_on == 1
MOS_mean = [mean_fixed.MoS.MoS_min(1)...
    mean_open.MoS.MoS_min(1)...
    mean_R1.MoS.MoS_min(1)...
    mean_R2.MoS.MoS_min(1)...
    mean_R3.MoS.MoS_min(1)...
    mean_R4.MoS.MoS_min(1)...
    mean_R5.MoS.MoS_min(1)...
    mean_R6.MoS.MoS_min(1)];

MOS_std = [mean_fixed.MoS.MoS_min(2)...
    mean_open.MoS.MoS_min(2)...
    mean_R1.MoS.MoS_min(2)...
    mean_R2.MoS.MoS_min(2)...
    mean_R3.MoS.MoS_min(2)...
    mean_R4.MoS.MoS_min(2)...
    mean_R5.MoS.MoS_min(2)...
    mean_R6.MoS.MoS_min(2)];

%GLOBAL AVERAGE PLOT
if Uni_on == 0
figure
h = barwitherr(MOS_std, MOS_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('MOS_{min} (m/LL)')
xlabel('Condition')
box off
end 

%UNIVARIATE SCATTER PLOT
if Uni_on == 1
    figure
    scatsubplot(dat_fixed.MoS.MoS_min, dat_open.MoS.MoS_min, dat_R1.MoS.MoS_min,...
    dat_R2.MoS.MoS_min, dat_R3.MoS.MoS_min, dat_R4.MoS.MoS_min,...
    dat_R5.MoS.MoS_min, dat_R6.MoS.MoS_min,'MOS_{min} (m/LL)',colSTRUCT,nos);
end

end

%% Plotting COM M-L Excursion Amplitude 

if COMp_on == 1
COMp_mean = [mean_fixed.COM_pos_ML.COM_excursion_ML(1)...
    mean_open.COM_pos_ML.COM_excursion_ML(1)...
    mean_R1.COM_pos_ML.COM_excursion_ML(1)...
    mean_R2.COM_pos_ML.COM_excursion_ML(1)...
    mean_R3.COM_pos_ML.COM_excursion_ML(1)...
    mean_R4.COM_pos_ML.COM_excursion_ML(1)...
    mean_R5.COM_pos_ML.COM_excursion_ML(1)...
    mean_R6.COM_pos_ML.COM_excursion_ML(1)];

COMp_std = [mean_fixed.COM_pos_ML.COM_excursion_ML(2)...
    mean_open.COM_pos_ML.COM_excursion_ML(2)...
    mean_R1.COM_pos_ML.COM_excursion_ML(2)...
    mean_R2.COM_pos_ML.COM_excursion_ML(2)...
    mean_R3.COM_pos_ML.COM_excursion_ML(2)...
    mean_R4.COM_pos_ML.COM_excursion_ML(2)...
    mean_R5.COM_pos_ML.COM_excursion_ML(2)...
    mean_R6.COM_pos_ML.COM_excursion_ML(2)];

%GLOBAL AVERAGE PLOT
if Uni_on == 0
figure
h = barwitherr(COMp_std, COMp_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('COM M-L Excursion Amplitude (m/LL)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOT
if Uni_on == 1
    figure
    scatsubplot(dat_fixed.COM_pos_ML.COM_excursion_ML, dat_open.COM_pos_ML.COM_excursion_ML, dat_R1.COM_pos_ML.COM_excursion_ML,...
    dat_R2.COM_pos_ML.COM_excursion_ML, dat_R3.COM_pos_ML.COM_excursion_ML, dat_R4.COM_pos_ML.COM_excursion_ML,...
    dat_R5.COM_pos_ML.COM_excursion_ML, dat_R6.COM_pos_ML.COM_excursion_ML,'COM M-L Excursion Amplitude (m/LL)',colSTRUCT,nos);
end

end




%% Gait Variability
if Var_on == 1
    
%Step Width Variability
SWv_mean = [mean_fixed.VarExt.SW_var(1,1)...
    mean_open.VarExt.SW_var(1,1)...
    mean_R1.VarExt.SW_var(1,1)...
    mean_R2.VarExt.SW_var(1,1)...
    mean_R3.VarExt.SW_var(1,1)...
    mean_R4.VarExt.SW_var(1,1)...
    mean_R5.VarExt.SW_var(1,1)...
    mean_R6.VarExt.SW_var(1,1)];

SWv_std = [mean_fixed.VarExt.SW_var(1,2)...
    mean_open.VarExt.SW_var(1,2)...
    mean_R1.VarExt.SW_var(1,2)...
    mean_R2.VarExt.SW_var(1,2)...
    mean_R3.VarExt.SW_var(1,2)...
    mean_R4.VarExt.SW_var(1,2)...
    mean_R5.VarExt.SW_var(1,2)...
    mean_R6.VarExt.SW_var(1,2)];
    
%GLOBAL AVERAGE PLOT
if Uni_on == 0
figure
h = barwitherr(SWv_std, SWv_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Step Width Variability (m/LL)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOT
if Uni_on == 1
    figure
    scatsubplot(dat_fixed.VarExt.SW_var, dat_open.VarExt.SW_var, dat_R1.VarExt.SW_var,...
    dat_R2.VarExt.SW_var, dat_R3.VarExt.SW_var, dat_R4.VarExt.SW_var,...
    dat_R5.VarExt.SW_var, dat_R6.VarExt.SW_var,'Step Width Variability (m/LL)',colSTRUCT,nos);
end 

%Step Length Variability
SLv_mean = [mean_fixed.VarExt.SL_var(1,1)...
    mean_open.VarExt.SL_var(1,1)...
    mean_R1.VarExt.SL_var(1,1)...
    mean_R2.VarExt.SL_var(1,1)...
    mean_R3.VarExt.SL_var(1,1)...
    mean_R4.VarExt.SL_var(1,1)...
    mean_R5.VarExt.SL_var(1,1)...
    mean_R6.VarExt.SL_var(1,1)];

SLv_std = [mean_fixed.VarExt.SL_var(1,2)...
    mean_open.VarExt.SL_var(1,2)...
    mean_R1.VarExt.SL_var(1,2)...
    mean_R2.VarExt.SL_var(1,2)...
    mean_R3.VarExt.SL_var(1,2)...
    mean_R4.VarExt.SL_var(1,2)...
    mean_R5.VarExt.SL_var(1,2)...
    mean_R6.VarExt.SL_var(1,2)];
    
%GLOBAL AVERAGE PLOT
if Uni_on == 0
figure
h = barwitherr(SLv_std, SLv_mean);
set(gca,'XTickLabel',{'Fixed' 'Open' 'R1' 'R2' 'R3' 'R4' 'R5' 'R6'})
h(1).FaceColor = colalt(5,:);
ylabel('Step Length Variability (m/LL)')
xlabel('Condition')
box off
end

%UNIVARIATE SCATTER PLOT
if Uni_on == 1
    figure
    scatsubplot(dat_fixed.VarExt.SL_var, dat_open.VarExt.SL_var, dat_R1.VarExt.SL_var,...
    dat_R2.VarExt.SL_var, dat_R3.VarExt.SL_var, dat_R4.VarExt.SL_var,...
    dat_R5.VarExt.SL_var, dat_R6.VarExt.SL_var,'Step Length Variability (m/LL)',colSTRUCT,nos);
end 
    
end



%% Subject Characteristics
Sall = [S03i, S04i, S05i, S06i, S07i, S08i, S09i, S10i, S11i, S12i, S13i];  




%}